%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
% Klasa do tworzenia prac dyplomowych 
% na Wydziale Matematyki PWr.
%
% Autor: Damian Fafuła
%
% Data utworzenia: 8.05.2018
% Numer wersji: 1
%
% Poniższą klasę można rozpowszechniać i edytować 
% pod warunkiem zachowania numeru wersji, 
% informacji o autorach i dodaniu informacji 
% o wprowadzonych zmianach.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{pwr_wmat_praca_dyplomowa}[2018/03/10 Praca dyplomowa]
\def\@klasa{book}
\PassOptionsToClass{12pt,a4paper,twoside}{\@klasa}
\LoadClass{\@klasa}

\RequirePackage[left=2.5cm,right=2.5cm,top=2.5cm,bottom=2.5cm,headheight=50pt]{geometry}
\RequirePackage{microtype}
\RequirePackage[utf8]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage{lmodern}
\RequirePackage{scrextend}
\let\lll\undefined
\RequirePackage{amsmath,amsfonts,amssymb,amsthm}
\RequirePackage{enumerate}
\RequirePackage[hidelinks]{hyperref}
\RequirePackage{caption}
\RequirePackage{afterpage}
\RequirePackage{multirow}
\RequirePackage{enumitem}
\RequirePackage{array}
\RequirePackage{xcolor}
\RequirePackage{float}
\RequirePackage{xstring,xifthen}
\newcolumntype{C}[1]{>{\centering\let\newline\\\arraybackslash\hspace{0pt}}m{#1}}
\newcolumntype{P}[1]{>{\centering\arraybackslash}p{#1}}
\RequirePackage{stackengine} 
\RequirePackage{tikz}
\RequirePackage{arydshln}

\definecolor{col1}{RGB}{35,31,32}
\definecolor{col2}{RGB}{255,255,255}

\newcommand{\autor}[1]{\gdef\@autor{#1}}
\newcommand{\tytul}[1]{\gdef\@tytul{#1}}
\newcommand{\opiekun}[1]{\gdef\@opiekun{#1}}
\newcommand{\kierunekstudiow}[1]{\gdef\@kierunekstudiow{#1}}
\newcommand{\specjalnosc}[1]{\gdef\@specjalnosc{#1}}
\newcommand{\rodzajpracy}[1]{\gdef\@rodzajpracy{#1}}
\newcommand{\streszczenie}[1]{\gdef\@streszczenie{#1}}
\newcommand{\slowakluczowe}[1]{\gdef\@slowakluczowe{#1}}
\newcommand{\tytulang}[1]{\gdef\@tytulang{#1}}
\newcommand{\kierunekstudiowang}[1]{\gdef\@kierunekstudiowang{#1}}
\newcommand{\specjalnoscang}[1]{\gdef\@specjalnoscang{#1}}
\newcommand{\rodzajpracyang}[1]{\gdef\@rodzajpracyang{#1}}
\newcommand{\streszczenieang}[1]{\gdef\@streszczenieang{#1}}
\newcommand{\slowakluczoweang}[1]{\gdef\@slowakluczoweang{#1}}
\newlength{\szerokosc}

\newcommand{\logopl}{
\begin{tikzpicture}[y=0.80pt, x=0.80pt, yscale=-1.000000, xscale=1.000000, inner sep=0pt, outer sep=0pt, scale=3.23]
\begin{scope}[shift={(-59.35609,-94.29842)}]
  \path[fill=col1,even odd rule,line width=0.007pt] (59.5561,115.4774) --
    (80.5327,115.4774) -- (80.5327,94.4984) -- (59.5561,94.4984) -- cycle;
  \path[fill=col2,even odd rule,line width=0.007pt] (77.0468,97.9669) --
    (64.0635,96.5964) -- (64.0635,96.6214) .. controls (64.6506,96.8683) and
    (64.8199,97.5753) .. (64.3733,98.0255) -- (77.0468,98.0255) --
    cycle(64.3733,113.3798) -- (64.3151,113.3798) -- (63.0412,97.6067) --
    (63.0708,97.6067) .. controls (63.2909,98.2209) and (63.8811,98.3754) ..
    (64.3733,98.0255) -- cycle(71.4465,100.4198) .. controls (71.3908,100.4470)
    and (71.3364,100.4925) .. (71.2937,100.5401) .. controls (71.2316,100.6156)
    and (71.0302,100.5779) .. (70.9155,100.6124) .. controls (70.8457,100.6332)
    and (70.8129,100.6625) .. (70.8079,100.6494) .. controls (70.8428,100.5785)
    and (70.8672,100.5069) .. (70.9258,100.4515) .. controls (71.0528,100.3308)
    and (71.4366,100.2462) .. (71.4465,100.4197) -- cycle(77.0465,99.4666) --
    (70.5652,99.4666) -- (70.5656,100.3623) .. controls (70.7187,100.2805) and
    (70.8429,100.2088) .. (71.0076,100.1619) .. controls (71.1173,100.1309) and
    (71.2355,100.0973) .. (71.3519,100.1090) .. controls (71.5213,100.1263) and
    (71.5837,100.2403) .. (71.5653,100.3584) .. controls (71.7146,100.2783) and
    (71.9964,100.2339) .. (72.1319,100.3577) .. controls (72.2617,100.4763) and
    (72.2882,100.6706) .. (72.2452,100.8322) .. controls (72.0942,100.6703) and
    (71.8998,100.6294) .. (71.6945,100.7296) .. controls (71.5403,100.8051) and
    (71.4122,100.9377) .. (71.3420,101.0929) .. controls (71.4083,101.1688) and
    (71.6221,101.1081) .. (71.6955,101.0703) .. controls (71.7763,101.0280) and
    (71.8476,100.9609) .. (71.9379,100.8622) .. controls (71.9266,101.0086) and
    (71.9090,101.1447) .. (71.8561,101.2167) .. controls (71.7548,101.3539) and
    (71.6546,101.3815) .. (71.4828,101.4414) .. controls (71.3495,101.4880) and
    (71.2140,101.5529) .. (71.0814,101.6873) .. controls (70.9667,101.8397) and
    (70.9374,102.1039) .. (70.9727,102.3276) .. controls (71.0115,102.5742) and
    (71.1025,102.8342) .. (71.1787,103.0893) .. controls (71.2549,103.3450) and
    (71.3174,103.5962) .. (71.2990,103.8262) .. controls (71.6924,103.8897) and
    (72.3242,103.4516) .. (72.5461,103.2723) .. controls (72.7916,103.0741) and
    (73.0439,102.8430) .. (73.1656,102.6190) .. controls (73.2651,102.4363) and
    (73.2940,102.0641) .. (73.1077,101.7737) .. controls (72.7546,101.2241) and
    (72.9472,100.3369) .. (73.6951,100.1111) .. controls (74.1540,99.9774) and
    (74.7852,100.1051) .. (75.0684,100.6173) .. controls (75.3443,101.1158) and
    (75.4082,101.6771) .. (75.3997,102.2655) .. controls (75.3866,103.1669) and
    (75.3507,103.7274) .. (75.5182,104.3998) .. controls (75.6004,104.7293) and
    (75.7546,105.0334) .. (75.9984,105.3125) .. controls (75.8068,105.5397) and
    (75.4868,105.3838) .. (75.2402,105.1735) .. controls (74.8758,104.8627) and
    (74.5647,104.1596) .. (74.3643,103.0300) -- (74.3255,103.1697) .. controls
    (74.3165,103.8502) and (74.4052,104.3705) .. (74.5523,104.9777) .. controls
    (74.7012,105.5926) and (74.9178,105.9503) .. (75.4445,106.3528) .. controls
    (75.1552,106.6139) and (74.8628,106.5013) .. (74.6077,106.3073) .. controls
    (74.1008,105.9214) and (73.8828,105.4825) .. (73.6753,104.5963) --
    (73.6372,104.6460) .. controls (73.5931,105.1657) and (73.6478,105.6811) ..
    (73.8143,106.1485) .. controls (73.9738,106.5955) and (74.2824,107.0238) ..
    (74.6804,107.3487) .. controls (74.4102,107.5924) and (74.1156,107.4312) ..
    (73.8704,107.2535) .. controls (73.5243,107.0026) and (73.0079,106.5176) ..
    (72.8424,105.5668) -- (72.7990,105.6042) .. controls (72.7814,106.1482) and
    (72.8322,106.6375) .. (72.9496,107.0580) .. controls (73.0692,107.4877) and
    (73.4337,107.9985) .. (73.7995,108.2444) .. controls (73.4950,108.5023) and
    (73.2195,108.3439) .. (72.9966,108.1724) .. controls (72.4043,107.7166) and
    (72.0317,107.0728) .. (71.8952,106.2173) -- (71.8423,106.2445) .. controls
    (71.7784,107.1734) and (71.7827,108.1926) .. (72.6152,108.7874) --
    (72.2847,108.9955) -- (72.4780,109.3236) .. controls (72.5630,109.4682) and
    (73.3331,109.0738) .. (73.6464,109.3236) .. controls (73.7727,109.4241) and
    (73.8538,109.5860) .. (73.7628,109.7910) -- (73.7441,109.7830) .. controls
    (73.7361,109.6380) and (73.6626,109.5618) .. (73.5663,109.5223) .. controls
    (73.4270,109.4644) and (73.2139,109.4796) .. (73.0544,109.6624) .. controls
    (72.7454,109.8716) and (72.5274,109.7227) .. (72.3676,109.9319) .. controls
    (72.2731,110.0561) and (72.2752,110.1647) .. (72.3150,110.2871) --
    (72.2991,110.2971) .. controls (71.8733,110.0742) and (72.2712,109.6614) ..
    (72.1925,109.5235) -- (71.9851,109.1601) -- (71.6517,109.3619) .. controls
    (71.6214,109.1185) and (71.2418,107.8224) .. (71.0121,107.7349) .. controls
    (70.9525,107.8203) and (70.9557,108.0471) .. (70.9468,108.2034) .. controls
    (70.9344,108.4214) and (71.0346,108.5812) .. (71.0128,108.8860) .. controls
    (71.0038,109.0187) and (70.9369,109.2018) .. (70.8308,109.3842) .. controls
    (70.9356,109.4526) and (70.9829,109.5598) .. (70.9804,109.6851) .. controls
    (70.9774,109.8248) and (70.9144,109.9871) .. (70.8714,110.1190) .. controls
    (70.8153,110.2897) and (70.7666,110.4189) .. (70.8308,110.4189) .. controls
    (71.0135,110.3240) and (71.1850,110.3067) .. (71.3324,110.3494) .. controls
    (71.5459,110.4111) and (71.6810,110.6139) .. (71.8739,110.7138) .. controls
    (72.0965,110.8284) and (72.2860,110.8083) .. (72.5407,110.9053) .. controls
    (72.1936,111.0383) and (72.1435,111.3936) .. (71.6714,111.3202) .. controls
    (71.3871,111.2764) and (70.9613,110.7395) .. (70.8840,110.7840) .. controls
    (70.8297,110.9427) and (70.8646,111.1286) .. (70.8946,111.3788) .. controls
    (70.9098,111.5036) and (70.9246,111.6451) .. (70.9256,111.8074) .. controls
    (70.9266,111.9697) and (70.9154,112.1535) .. (70.8797,112.3619) .. controls
    (70.8321,112.6410) and (70.7316,112.9980) .. (70.5689,113.3797) --
    (70.5729,113.3797) .. controls (76.9463,111.2489) and (76.9932,102.3261) ..
    (77.0461,99.4665) -- cycle(74.1459,101.0605) .. controls (74.0147,101.0605)
    and (73.9078,100.9472) .. (73.9078,100.8085) .. controls (73.9078,100.6699)
    and (74.0147,100.5567) .. (74.1459,100.5567) .. controls (74.2772,100.5567)
    and (74.3844,100.6699) .. (74.3844,100.8085) .. controls (74.3844,100.9472)
    and (74.2772,101.0605) .. (74.1459,101.0605) -- cycle(73.7085,101.5032) ..
    controls (73.8397,101.5032) and (73.9466,101.3899) .. (73.9466,101.2513) ..
    controls (73.9466,101.1127) and (73.8397,100.9994) .. (73.7085,100.9994) ..
    controls (73.5772,100.9994) and (73.4704,101.1127) .. (73.4704,101.2513) ..
    controls (73.4704,101.3899) and (73.5772,101.5032) .. (73.7085,101.5032) --
    cycle(74.5163,101.5755) .. controls (74.6476,101.5755) and (74.7545,101.4622)
    .. (74.7545,101.3236) .. controls (74.7545,101.1850) and (74.6476,101.0717) ..
    (74.5163,101.0717) .. controls (74.3851,101.0717) and (74.2782,101.1850) ..
    (74.2782,101.3236) .. controls (74.2782,101.4622) and (74.3851,101.5755) ..
    (74.5163,101.5755) -- cycle(74.1346,101.1941) .. controls (74.0873,103.5817)
    and (72.9370,105.4380) .. (70.5670,105.5880) -- (70.5667,104.9191) .. controls
    (72.4854,104.8577) and (73.9202,102.9644) .. (74.0955,101.1941) --
    cycle(69.6843,100.4198) .. controls (69.7404,100.4470) and (69.7944,100.4925)
    .. (69.8371,100.5401) .. controls (69.8995,100.6152) and (70.1006,100.5779) ..
    (70.2156,100.6124) .. controls (70.2851,100.6332) and (70.3183,100.6625) ..
    (70.3229,100.6494) .. controls (70.2883,100.5785) and (70.2636,100.5069) ..
    (70.2054,100.4515) .. controls (70.0784,100.3308) and (69.6949,100.2462) ..
    (69.6843,100.4197) -- cycle(70.5621,113.3798) -- (70.5581,113.3798) ..
    controls (70.3961,112.9991) and (70.2981,112.6404) .. (70.2511,112.3620) ..
    controls (70.2155,112.1535) and (70.2035,111.9697) .. (70.2052,111.8074) ..
    controls (70.2062,111.6452) and (70.2211,111.5037) .. (70.2362,111.3788) ..
    controls (70.2658,111.1287) and (70.3011,110.9428) .. (70.2468,110.7840) ..
    controls (70.1695,110.7396) and (69.7434,111.2762) .. (69.4594,111.3203) ..
    controls (68.9874,111.3937) and (68.9373,111.0384) .. (68.5902,110.9054) ..
    controls (68.8446,110.8084) and (69.0343,110.8285) .. (69.2569,110.7138) ..
    controls (69.4499,110.6140) and (69.5850,110.4108) .. (69.7985,110.3494) ..
    controls (69.9459,110.3067) and (70.1174,110.3240) .. (70.2998,110.4189) ..
    controls (70.3640,110.4189) and (70.3157,110.2898) .. (70.2596,110.1191) ..
    controls (70.2166,109.9871) and (70.1534,109.8248) .. (70.1506,109.6851) ..
    controls (70.1486,109.5599) and (70.1954,109.4527) .. (70.2998,109.3842) ..
    controls (70.1939,109.2018) and (70.1273,109.0187) .. (70.1177,108.8861) ..
    controls (70.0962,108.5813) and (70.1960,108.4215) .. (70.1840,108.2031) ..
    controls (70.1750,108.0472) and (70.1780,107.8204) .. (70.1187,107.7350) ..
    controls (69.8891,107.8225) and (69.5095,109.1182) .. (69.4792,109.3620) --
    (69.1458,109.1602) -- (68.9380,109.5236) .. controls (68.8593,109.6615) and
    (69.2576,110.0742) .. (68.8318,110.2972) -- (68.8159,110.2872) .. controls
    (68.8561,110.1648) and (68.8579,110.0558) .. (68.7634,109.9320) .. controls
    (68.6036,109.7228) and (68.3859,109.8717) .. (68.0766,109.6625) .. controls
    (67.9171,109.4797) and (67.7037,109.4645) .. (67.5643,109.5221) .. controls
    (67.4683,109.5620) and (67.3953,109.6381) .. (67.3872,109.7828) --
    (67.3681,109.7908) .. controls (67.2771,109.5858) and (67.3581,109.4239) ..
    (67.4842,109.3233) .. controls (67.7978,109.0736) and (68.5679,109.4680) ..
    (68.6529,109.3233) -- (68.8459,108.9952) -- (68.5157,108.7871) .. controls
    (69.3483,108.1923) and (69.3521,107.1731) .. (69.2886,106.2443) --
    (69.2353,106.2171) .. controls (69.0995,107.0726) and (68.7266,107.7164) ..
    (68.1343,108.1722) .. controls (67.9114,108.3436) and (67.6359,108.5020) ..
    (67.3314,108.2442) .. controls (67.6972,107.9983) and (68.0613,107.4875) ..
    (68.1812,107.0578) .. controls (68.2987,106.6373) and (68.3495,106.1480) ..
    (68.3319,105.6040) -- (68.2885,105.5666) .. controls (68.1230,106.5173) and
    (67.6066,107.0024) .. (67.2605,107.2532) .. controls (67.0153,107.4310) and
    (66.7204,107.5922) .. (66.4505,107.3484) .. controls (66.8481,107.0232) and
    (67.1571,106.5952) .. (67.3166,106.1483) .. controls (67.4831,105.6808) and
    (67.5378,105.1654) .. (67.4933,104.6454) -- (67.4555,104.5960) .. controls
    (67.2477,105.4822) and (67.0301,105.9211) .. (66.5228,106.3070) .. controls
    (66.2681,106.5010) and (65.9756,106.6136) .. (65.6863,106.3525) .. controls
    (66.2130,105.9500) and (66.4296,105.5923) .. (66.5785,104.9774) .. controls
    (66.7256,104.3699) and (66.8142,103.8496) .. (66.8054,103.1694) --
    (66.7666,103.0297) .. controls (66.5662,104.1593) and (66.2550,104.8620) ..
    (65.8903,105.1732) .. controls (65.6444,105.3834) and (65.3237,105.5394) ..
    (65.1325,105.3122) .. controls (65.3763,105.0331) and (65.5304,104.7290) ..
    (65.6126,104.3995) .. controls (65.7802,103.7271) and (65.7438,103.1662) ..
    (65.7311,102.2652) .. controls (65.7231,101.6765) and (65.7861,101.1155) ..
    (66.0624,100.6167) .. controls (66.3457,100.1052) and (66.9765,99.9771) ..
    (67.4358,100.1108) .. controls (68.1833,100.3366) and (68.3763,101.2238) ..
    (68.0231,101.7735) .. controls (67.8365,102.0638) and (67.8658,102.4360) ..
    (67.9652,102.6187) .. controls (68.0870,102.8427) and (68.3392,103.0738) ..
    (68.5851,103.2721) .. controls (68.8066,103.4513) and (69.4384,103.8891) ..
    (69.8314,103.8259) .. controls (69.8134,103.5959) and (69.8755,103.3444) ..
    (69.9521,103.0890) .. controls (70.0283,102.8339) and (70.1193,102.5739) ..
    (70.1581,102.3273) .. controls (70.1930,102.1033) and (70.1641,101.8394) ..
    (70.0495,101.6870) .. controls (69.9168,101.5523) and (69.7813,101.4877) ..
    (69.6476,101.4412) .. controls (69.4762,101.3812) and (69.3757,101.3537) ..
    (69.2748,101.2164) .. controls (69.2219,101.1444) and (69.2043,101.0083) ..
    (69.1930,100.8619) .. controls (69.2833,100.9607) and (69.3542,101.0277) ..
    (69.4353,101.0700) .. controls (69.5083,101.1077) and (69.7221,101.1684) ..
    (69.7888,101.0926) .. controls (69.7186,100.9374) and (69.5905,100.8044) ..
    (69.4364,100.7293) .. controls (69.2311,100.6291) and (69.0367,100.6700) ..
    (68.8857,100.8319) .. controls (68.8427,100.6704) and (68.8691,100.4760) ..
    (68.9989,100.3574) .. controls (69.1344,100.2336) and (69.4159,100.2780) ..
    (69.5655,100.3582) .. controls (69.5472,100.2400) and (69.6096,100.1260) ..
    (69.7789,100.1087) .. controls (69.8950,100.0970) and (70.0135,100.1306) ..
    (70.1232,100.1616) .. controls (70.2876,100.2085) and (70.4118,100.2802) ..
    (70.5653,100.3620) -- cycle(66.9852,101.0604) .. controls (67.1161,101.0604)
    and (67.2234,100.9472) .. (67.2234,100.8085) .. controls (67.2234,100.6699)
    and (67.1161,100.5567) .. (66.9852,100.5567) .. controls (66.8540,100.5567)
    and (66.7471,100.6699) .. (66.7471,100.8085) .. controls (66.7471,100.9472)
    and (66.8540,101.0604) .. (66.9852,101.0604) -- cycle(67.4227,101.5032) ..
    controls (67.2915,101.5032) and (67.1846,101.3899) .. (67.1846,101.2509) ..
    controls (67.1846,101.1126) and (67.2915,100.9994) .. (67.4227,100.9994) ..
    controls (67.5539,100.9994) and (67.6608,101.1126) .. (67.6608,101.2509) ..
    controls (67.6608,101.3899) and (67.5539,101.5032) .. (67.4227,101.5032) --
    cycle(66.6148,101.5752) .. controls (66.4836,101.5752) and (66.3767,101.4623)
    .. (66.3767,101.3236) .. controls (66.3767,101.1850) and (66.4836,101.0717) ..
    (66.6148,101.0717) .. controls (66.7461,101.0717) and (66.8526,101.1850) ..
    (66.8526,101.3236) .. controls (66.8526,101.4623) and (66.7461,101.5752) ..
    (66.6148,101.5752) -- cycle(66.9965,101.1938) .. controls (67.0438,103.5818)
    and (68.1939,105.4381) .. (70.5642,105.5876) -- (70.5642,104.9191) .. controls
    (68.6454,104.8577) and (67.2110,102.9644) .. (67.0357,101.1938) --
    (66.9965,101.1938) -- (66.9965,101.1938);
  \path[fill=col1,even odd rule,line width=0.007pt] (82.6331,115.4778) --
    (158.1582,115.4778) -- (158.1582,115.2678) -- (82.6331,115.2678) -- cycle;
  \path[fill=col1,even odd rule,line width=0.007pt] (157.1887,112.5444) ..
    controls (157.1887,112.6464) and (157.1817,112.7339) .. (157.0646,112.8503) ..
    controls (156.8751,113.0397) and (156.5841,113.1635) .. (156.3509,113.1635) ..
    controls (155.9572,113.1635) and (155.7170,112.9159) .. (155.7170,112.4858) ..
    controls (155.7170,111.9249) and (156.1615,111.7940) .. (157.1887,111.6261) --
    cycle(158.1578,113.2729) -- (158.1285,113.1346) .. controls
    (158.0848,113.1416) and (158.0410,113.1416) .. (158.0044,113.1416) .. controls
    (157.7352,113.1416) and (157.6914,113.0104) .. (157.6914,112.6682) --
    (157.6914,112.4713) -- (157.7207,111.2546) -- (157.7207,111.1671) .. controls
    (157.7207,110.3585) and (157.4071,109.9722) .. (156.5986,109.9722) .. controls
    (156.1541,109.9722) and (155.7533,110.1109) .. (155.4471,110.3730) --
    (155.4326,110.7445) -- (155.4908,110.7445) .. controls (155.7095,110.4093) and
    (156.0157,110.2421) .. (156.4091,110.2421) .. controls (156.9848,110.2421) and
    (157.2032,110.5480) .. (157.2032,111.1745) -- (157.2032,111.3276) .. controls
    (157.0208,111.4878) and (156.5911,111.5171) .. (155.9646,111.6479) .. controls
    (155.4033,111.7721) and (155.1338,112.0706) .. (155.1338,112.5807) .. controls
    (155.1338,113.1345) and (155.4837,113.4563) .. (156.1177,113.4563) .. controls
    (156.5255,113.4563) and (156.8829,113.2873) .. (157.1813,112.9740) .. controls
    (157.2251,113.2584) and (157.3270,113.3892) .. (157.5747,113.3892) .. controls
    (157.7789,113.3892) and (157.9609,113.3310) .. (158.1578,113.2728) --
    cycle(154.8717,113.3907) .. controls (154.2304,112.6319) and
    (153.6694,111.9821) .. (153.1957,111.4282) -- (153.8370,110.8225) .. controls
    (154.2229,110.4581) and (154.5217,110.1886) .. (154.7623,110.0284) .. controls
    (154.6604,110.0429) and (154.5510,110.0503) .. (154.4491,110.0503) .. controls
    (154.3471,110.0503) and (154.2452,110.0433) .. (154.1358,110.0284) .. controls
    (153.3562,111.0204) and (152.7808,111.4794) .. (152.6496,111.4794) .. controls
    (152.5695,111.4794) and (152.5328,111.4356) .. (152.5328,111.3555) --
    (152.5328,111.1150) .. controls (152.5328,110.2249) and (152.5398,109.2085) ..
    (152.5695,108.0550) .. controls (152.4746,108.0695) and (152.3726,108.0839) ..
    (152.2703,108.0839) .. controls (152.1761,108.0839) and (152.0738,108.0694) ..
    (151.9719,108.0550) .. controls (152.0012,108.9545) and (152.0082,109.8400) ..
    (152.0082,110.7131) .. controls (152.0082,111.3993) and (152.0012,112.2879) ..
    (151.9719,113.3907) .. controls (152.0738,113.3678) and (152.1762,113.3529) ..
    (152.2703,113.3529) .. controls (152.3726,113.3529) and (152.4746,113.3677) ..
    (152.5695,113.3907) .. controls (152.5328,112.8358) and (152.5328,112.4058) ..
    (152.5328,112.1204) -- (152.5328,111.7200) .. controls (152.5328,111.6544) and
    (152.5328,111.6251) .. (152.5984,111.6251) .. controls (152.7078,111.6251) and
    (153.2249,112.2008) .. (154.1065,113.3907) .. controls (154.2229,113.3678) and
    (154.3471,113.3604) .. (154.4709,113.3604) .. controls (154.6022,113.3604) and
    (154.7405,113.3674) .. (154.8717,113.3907) -- cycle(151.2505,112.3331) ..
    controls (151.2505,111.8886) and (151.0321,111.6554) .. (150.5653,111.5171) --
    (150.0775,111.3714) .. controls (149.7130,111.2621) and (149.5384,111.1019) ..
    (149.5384,110.7738) .. controls (149.5384,110.4168) and (149.7857,110.1766) ..
    (150.1431,110.1766) .. controls (150.4274,110.1766) and (150.6966,110.3367) ..
    (150.9665,110.6500) .. controls (150.9954,110.4969) and (151.0466,110.3512) ..
    (151.1196,110.1984) .. controls (150.8790,110.0527) and (150.5731,109.9649) ..
    (150.2306,109.9649) .. controls (149.5603,109.9649) and (149.1373,110.3805) ..
    (149.1373,110.9488) .. controls (149.1373,111.4515) and (149.3708,111.7136) ..
    (149.9099,111.8667) -- (150.2380,111.9616) .. controls (150.6169,112.0636) and
    (150.7985,112.2093) .. (150.7985,112.5444) .. controls (150.7985,112.9452) and
    (150.5294,113.1928) .. (150.1067,113.1928) .. controls (149.7642,113.1928) and
    (149.4728,113.0104) .. (149.2393,112.6464) .. controls (149.1959,112.8284) and
    (149.1373,113.0104) .. (149.0646,113.2002) .. controls (149.3126,113.3678) and
    (149.6330,113.4563) .. (149.9900,113.4563) .. controls (150.7477,113.4563) and
    (151.2505,112.9670) .. (151.2505,112.3331) -- cycle(148.8826,110.0284) ..
    controls (148.8170,110.0354) and (148.7440,110.0429) .. (148.6713,110.0429) ..
    controls (148.5983,110.0429) and (148.5330,110.0359) .. (148.4526,110.0284) ..
    controls (148.0081,111.3337) and (147.6659,112.2008) .. (147.4616,112.6245) ..
    controls (147.2358,112.1641) and (146.9155,111.2973) .. (146.5730,110.0284) ..
    controls (146.5000,110.0429) and (146.4273,110.0503) .. (146.3616,110.0503) ..
    controls (146.2961,110.0503) and (146.2234,110.0433) .. (146.1503,110.0284) ..
    controls (145.8808,110.9767) and (145.5746,111.8438) .. (145.2176,112.6319) ..
    controls (144.7438,111.4138) and (144.4524,110.5456) .. (144.3289,110.0284) ..
    controls (144.2196,110.0503) and (144.1099,110.0573) .. (144.0079,110.0573) ..
    controls (143.8989,110.0573) and (143.7970,110.0503) .. (143.6950,110.0284) ..
    controls (144.3798,111.6907) and (144.7953,112.8139) .. (144.9333,113.3907) ..
    controls (145.0063,113.3748) and (145.0648,113.3748) .. (145.1375,113.3748) ..
    controls (145.2031,113.3748) and (145.2758,113.3748) .. (145.3418,113.3907) ..
    controls (145.4875,112.7776) and (145.7789,111.9165) .. (146.2378,110.8151) ..
    controls (146.7843,112.2735) and (147.0683,113.1272) .. (147.1120,113.3907) ..
    controls (147.1847,113.3748) and (147.2507,113.3678) .. (147.3159,113.3678) ..
    controls (147.3886,113.3678) and (147.4616,113.3748) .. (147.5343,113.3907) ..
    controls (147.7096,112.7264) and (148.1830,111.6180) .. (148.8826,110.0284) --
    cycle(142.5146,112.5444) .. controls (142.5146,112.6464) and
    (142.5076,112.7338) .. (142.3904,112.8503) .. controls (142.2013,113.0397) and
    (141.9096,113.1635) .. (141.6768,113.1635) .. controls (141.2834,113.1635) and
    (141.0428,112.9159) .. (141.0428,112.4858) .. controls (141.0428,111.9249) and
    (141.4873,111.7940) .. (142.5146,111.6261) -- cycle(143.4837,113.2729) --
    (143.4544,113.1346) .. controls (143.4107,113.1416) and (143.3669,113.1416) ..
    (143.3302,113.1416) .. controls (143.0610,113.1416) and (143.0173,113.0104) ..
    (143.0173,112.6682) -- (143.0173,112.4713) -- (143.0466,111.2546) --
    (143.0466,111.1671) .. controls (143.0466,110.3585) and (142.7330,109.9722) ..
    (141.9244,109.9722) .. controls (141.4799,109.9722) and (141.0792,110.1109) ..
    (140.7730,110.3730) -- (140.7585,110.7445) -- (140.8167,110.7445) .. controls
    (141.0357,110.4093) and (141.3416,110.2421) .. (141.7349,110.2421) .. controls
    (142.3107,110.2421) and (142.5290,110.5480) .. (142.5290,111.1745) --
    (142.5290,111.3276) .. controls (142.3470,111.4878) and (141.9173,111.5171) ..
    (141.2904,111.6479) .. controls (140.7292,111.7721) and (140.4600,112.0706) ..
    (140.4600,112.5807) .. controls (140.4600,113.1345) and (140.8096,113.4563) ..
    (141.4435,113.4563) .. controls (141.8513,113.4563) and (142.2084,113.2873) ..
    (142.5072,112.9740) .. controls (142.5513,113.2584) and (142.6532,113.3892) ..
    (142.9009,113.3892) .. controls (143.1048,113.3892) and (143.2868,113.3310) ..
    (143.4837,113.2728) -- cycle(140.1249,109.8739) -- (140.1249,109.4964) ..
    controls (140.0229,109.5839) and (139.8554,109.7285) .. (139.6077,109.9032) --
    (139.6077,109.8231) .. controls (139.6077,109.1468) and (139.6222,108.5068) ..
    (139.6437,108.0549) .. controls (139.5492,108.0619) and (139.4398,108.0694) ..
    (139.3379,108.0694) .. controls (139.2504,108.0694) and (139.1484,108.0624) ..
    (139.0535,108.0549) .. controls (139.0828,108.6437) and (139.0902,109.3144) ..
    (139.0902,110.0707) -- (139.0902,110.2602) .. controls (138.8786,110.4058) and
    (138.8133,110.4496) .. (138.5949,110.5808) -- (138.5949,110.9509) .. controls
    (138.9008,110.7032) and (139.0535,110.5734) .. (139.0828,110.5590) --
    (139.0828,111.5922) .. controls (139.0828,112.3779) and (139.0680,112.9741) ..
    (139.0535,113.3907) .. controls (139.1484,113.3748) and (139.2433,113.3678) ..
    (139.3379,113.3678) .. controls (139.4398,113.3678) and (139.5418,113.3748) ..
    (139.6437,113.3907) .. controls (139.6222,112.9377) and (139.6077,111.9119) ..
    (139.6077,110.2019) .. controls (139.8261,110.0637) and (139.8843,110.0196) ..
    (140.1249,109.8739) -- cycle(138.3688,110.2492) .. controls
    (137.9969,110.0598) and (137.6113,109.9649) .. (137.2106,109.9649) .. controls
    (136.1466,109.9649) and (135.4396,110.6574) .. (135.4396,111.7136) .. controls
    (135.4396,112.7776) and (136.1173,113.4634) .. (137.1086,113.4634) .. controls
    (137.6113,113.4634) and (138.0047,113.3530) .. (138.3250,113.1053) .. controls
    (138.3180,113.0616) and (138.3180,113.0104) .. (138.3180,112.9596) .. controls
    (138.3180,112.8869) and (138.3250,112.7995) .. (138.3325,112.6975) .. controls
    (137.9900,113.0471) and (137.6552,113.2147) .. (137.2541,113.2147) .. controls
    (136.5182,113.2147) and (136.0155,112.6464) .. (136.0155,111.7066) .. controls
    (136.0155,110.7375) and (136.4600,110.1910) .. (137.2107,110.1910) .. controls
    (137.6552,110.1910) and (137.9755,110.4094) .. (138.1794,110.8613) .. controls
    (138.2231,110.6355) and (138.2888,110.4242) .. (138.3689,110.2492) --
    cycle(134.3326,111.7503) .. controls (134.3326,112.7264) and
    (133.9534,113.2366) .. (133.2542,113.2366) .. controls (132.5472,113.2366) and
    (132.1683,112.7120) .. (132.1683,111.6992) .. controls (132.1683,110.6937) and
    (132.5472,110.1766) .. (133.2468,110.1766) .. controls (133.9534,110.1766) and
    (134.3326,110.7156) .. (134.3326,111.7503) -- cycle(134.9443,111.7066) ..
    controls (134.9443,110.6719) and (134.2451,109.9649) .. (133.2542,109.9649) ..
    controls (132.2922,109.9649) and (131.5637,110.6719) .. (131.5637,111.7066) ..
    controls (131.5637,112.7484) and (132.2703,113.4564) .. (133.2542,113.4564) ..
    controls (134.2229,113.4564) and (134.9443,112.7702) .. (134.9443,111.7066) --
    cycle(131.2285,110.0306) .. controls (131.1121,110.0087) and
    (131.0246,109.9943) .. (130.9590,109.9943) .. controls (130.6091,109.9943) and
    (130.3251,110.2712) .. (130.0704,110.8102) .. controls (130.0704,110.5188) and
    (130.0849,110.2567) .. (130.1064,110.0306) .. controls (130.0119,110.0528) and
    (129.9099,110.0599) .. (129.8076,110.0599) .. controls (129.7131,110.0599) and
    (129.6111,110.0529) .. (129.5017,110.0306) .. controls (129.5306,110.3368) and
    (129.5384,110.6790) .. (129.5384,111.0582) .. controls (129.5384,112.1000) and
    (129.5236,112.8796) .. (129.5017,113.3823) .. controls (129.5966,113.3678) and
    (129.6841,113.3604) .. (129.7712,113.3604) .. controls (129.8732,113.3604) and
    (129.9829,113.3674) .. (130.0848,113.3907) .. controls (130.0626,113.0690) and
    (130.0481,112.5882) .. (130.0481,111.9542) .. controls (130.0481,110.9851) and
    (130.2521,110.5114) .. (130.7914,110.5114) .. controls (130.9079,110.5114) and
    (131.0172,110.5407) .. (131.1337,110.6063) -- (131.1919,110.5700) .. controls
    (131.1919,110.3657) and (131.1999,110.1766) .. (131.2286,110.0306) --
    cycle(129.2392,108.5224) .. controls (129.1595,108.5443) and
    (129.0791,108.5517) .. (128.9986,108.5517) .. controls (128.9189,108.5517) and
    (128.8459,108.5447) .. (128.7732,108.5224) .. controls (128.4162,109.9141) and
    (128.0006,111.2914) .. (127.5346,112.6393) .. controls (127.0315,111.2547) and
    (126.5800,109.8778) .. (126.1648,108.5224) .. controls (126.0847,108.5443) and
    (126.0043,108.5517) .. (125.9316,108.5517) .. controls (125.8515,108.5517) and
    (125.7788,108.5447) .. (125.6984,108.5224) .. controls (125.2976,109.9942) and
    (124.8457,111.3859) .. (124.3652,112.7120) .. controls (123.8985,111.2695) and
    (123.4907,109.8704) .. (123.1266,108.5224) .. controls (123.0169,108.5443) and
    (122.9005,108.5517) .. (122.7915,108.5517) .. controls (122.6747,108.5517) and
    (122.5583,108.5447) .. (122.4490,108.5224) .. controls (123.0025,110.2567) and
    (123.5126,111.8742) .. (123.9715,113.3908) .. controls (124.0593,113.3679) and
    (124.1391,113.3530) .. (124.2196,113.3530) .. controls (124.3071,113.3530) and
    (124.3868,113.3678) .. (124.4672,113.3908) .. controls (124.6782,112.8066) and
    (125.1156,111.4805) .. (125.8003,109.4114) .. controls (126.2886,110.7664) and
    (126.7331,112.0925) .. (127.1120,113.3982) .. controls (127.1995,113.3679) and
    (127.2792,113.3605) .. (127.3670,113.3605) .. controls (127.4545,113.3605) and
    (127.5346,113.3675) .. (127.6147,113.3908) .. controls (128.1463,111.8012) and
    (128.6783,110.1837) .. (129.2392,108.5224) -- cycle(119.2574,112.5444) ..
    controls (119.2574,112.6464) and (119.2504,112.7339) .. (119.1339,112.8503) ..
    controls (118.9445,113.0397) and (118.6527,113.1636) .. (118.4195,113.1636) ..
    controls (118.0262,113.1636) and (117.7856,112.9159) .. (117.7856,112.4859) ..
    controls (117.7856,111.9250) and (118.2301,111.7941) .. (119.2574,111.6262) --
    cycle(120.2265,113.2729) -- (120.1972,113.1346) .. controls
    (120.1535,113.1416) and (120.1101,113.1416) .. (120.0737,113.1416) .. controls
    (119.8038,113.1416) and (119.7604,113.0104) .. (119.7604,112.6682) --
    (119.7604,112.4714) -- (119.7893,111.2546) -- (119.7893,111.1671) .. controls
    (119.7893,110.3586) and (119.4760,109.9723) .. (118.6671,109.9723) .. controls
    (118.2230,109.9723) and (117.8222,110.1109) .. (117.5164,110.3730) --
    (117.5016,110.7445) -- (117.5598,110.7445) .. controls (117.7785,110.4094) and
    (118.0844,110.2422) .. (118.4777,110.2422) .. controls (119.0534,110.2422) and
    (119.2718,110.5480) .. (119.2718,111.1745) -- (119.2718,111.3276) .. controls
    (119.0901,111.4878) and (118.6601,111.5171) .. (118.0332,111.6480) .. controls
    (117.4726,111.7721) and (117.2028,112.0706) .. (117.2028,112.5807) .. controls
    (117.2028,113.1346) and (117.5524,113.4563) .. (118.1863,113.4563) .. controls
    (118.5945,113.4563) and (118.9515,113.2873) .. (119.2503,112.9741) .. controls
    (119.2940,113.2584) and (119.3960,113.3893) .. (119.6436,113.3893) .. controls
    (119.8475,113.3893) and (120.0299,113.3311) .. (120.2264,113.2729) --
    cycle(116.9407,113.3908) .. controls (116.2993,112.6319) and
    (115.7384,111.9821) .. (115.2650,111.4283) -- (115.9060,110.8225) .. controls
    (116.2919,110.4581) and (116.5911,110.1886) .. (116.8313,110.0284) .. controls
    (116.7294,110.0429) and (116.6200,110.0503) .. (116.5181,110.0503) .. controls
    (116.4161,110.0503) and (116.3138,110.0433) .. (116.2048,110.0284) .. controls
    (115.4251,111.0204) and (114.8494,111.4794) .. (114.7185,111.4794) .. controls
    (114.6381,111.4794) and (114.6018,111.4356) .. (114.6018,111.3556) --
    (114.6018,111.1150) .. controls (114.6018,110.2249) and (114.6088,109.2086) ..
    (114.6381,108.0550) .. controls (114.5436,108.0695) and (114.4416,108.0839) ..
    (114.3396,108.0839) .. controls (114.2447,108.0839) and (114.1428,108.0694) ..
    (114.0408,108.0550) .. controls (114.0697,108.9546) and (114.0771,109.8401) ..
    (114.0771,110.7132) .. controls (114.0771,111.3993) and (114.0701,112.2880) ..
    (114.0408,113.3908) .. controls (114.1428,113.3679) and (114.2447,113.3530) ..
    (114.3396,113.3530) .. controls (114.4416,113.3530) and (114.5435,113.3678) ..
    (114.6381,113.3908) .. controls (114.6018,112.8358) and (114.6018,112.4058) ..
    (114.6018,112.1204) -- (114.6018,111.7200) .. controls (114.6018,111.6544) and
    (114.6018,111.6251) .. (114.6671,111.6251) .. controls (114.7768,111.6251) and
    (115.2940,112.2008) .. (116.1755,113.3908) .. controls (116.2920,113.3679) and
    (116.4161,113.3605) .. (116.5400,113.3605) .. controls (116.6708,113.3605) and
    (116.8095,113.3675) .. (116.9407,113.3908) -- cycle(112.9042,113.3908) ..
    controls (112.8823,112.8066) and (112.8679,112.2153) .. (112.8679,111.6251) ..
    controls (112.8679,111.0787) and (112.8824,110.5527) .. (112.9042,110.0284) ..
    controls (112.8164,110.0503) and (112.7144,110.0573) .. (112.6125,110.0573) ..
    controls (112.5180,110.0573) and (112.4234,110.0503) .. (112.3214,110.0284) ..
    controls (112.3433,110.5456) and (112.3577,111.0787) .. (112.3577,111.6251) ..
    controls (112.3577,112.2153) and (112.3432,112.8066) .. (112.3214,113.3908) ..
    controls (112.4234,113.3679) and (112.5179,113.3530) .. (112.6125,113.3530) ..
    controls (112.7144,113.3530) and (112.8164,113.3678) .. (112.9042,113.3908) --
    cycle(112.9769,108.7919) .. controls (112.9769,108.5880) and
    (112.8164,108.4349) .. (112.6125,108.4349) .. controls (112.4160,108.4349) and
    (112.2484,108.5880) .. (112.2484,108.7919) .. controls (112.2484,108.9888) and
    (112.4160,109.1490) .. (112.6125,109.1490) .. controls (112.8164,109.1490) and
    (112.9769,108.9888) .. (112.9769,108.7919) -- cycle(111.1989,113.3908) ..
    controls (111.1844,112.9889) and (111.1774,112.6175) .. (111.1774,112.2675) ..
    controls (111.1774,111.9324) and (111.1919,111.5824) .. (111.1919,111.2328) ..
    controls (111.1919,110.3805) and (110.8134,109.9579) .. (110.0552,109.9579) ..
    controls (109.5744,109.9579) and (109.2103,110.1837) .. (108.9408,110.6500) ..
    controls (108.9408,110.5625) and (108.9338,110.4751) .. (108.9338,110.3879) ..
    controls (108.9338,110.2711) and (108.9408,110.1547) .. (108.9483,110.0306) ..
    controls (108.8612,110.0528) and (108.7663,110.0599) .. (108.6643,110.0599) ..
    controls (108.5768,110.0599) and (108.4749,110.0529) .. (108.3729,110.0306) ..
    controls (108.4018,110.5336) and (108.4018,111.0652) .. (108.4018,111.6480) --
    (108.4018,112.1511) .. controls (108.4018,112.5808) and (108.4018,112.9889) ..
    (108.3729,113.3908) .. controls (108.4749,113.3679) and (108.5694,113.3530) ..
    (108.6643,113.3530) .. controls (108.7663,113.3530) and (108.8682,113.3678) ..
    (108.9631,113.3908) .. controls (108.9483,113.0253) and (108.9483,112.5882) ..
    (108.9483,112.0562) -- (108.9483,111.7359) .. controls (108.9483,111.2621) and
    (108.9631,110.9051) .. (109.1886,110.6282) .. controls (109.3491,110.4168) and
    (109.5749,110.3223) .. (109.8518,110.3223) .. controls (110.3908,110.3223) and
    (110.6604,110.6719) .. (110.6604,111.3715) .. controls (110.6604,112.2164) and
    (110.6459,112.8940) .. (110.6170,113.3908) .. controls (110.7189,113.3679) and
    (110.8138,113.3530) .. (110.9084,113.3530) .. controls (111.0029,113.3530) and
    (111.1052,113.3678) .. (111.1994,113.3908) -- cycle(107.3159,113.3908) ..
    controls (107.3014,112.9159) and (107.2866,112.5515) .. (107.2866,112.2968) ..
    controls (107.2866,111.8742) and (107.3085,111.5097) .. (107.3085,111.2039) ..
    controls (107.3085,110.3805) and (106.9296,109.9649) .. (106.1718,109.9649) ..
    controls (105.6984,109.9649) and (105.3703,110.1618) .. (105.0645,110.6133) ..
    controls (105.0645,110.2711) and (105.0575,109.9431) .. (105.0575,109.6386) ..
    controls (105.0575,109.1807) and (105.0645,108.6501) .. (105.0794,108.0550) ..
    controls (104.9923,108.0695) and (104.8899,108.0839) .. (104.7880,108.0839) ..
    controls (104.7009,108.0839) and (104.5989,108.0694) .. (104.4892,108.0550) ..
    controls (104.5111,108.8904) and (104.5255,109.7758) .. (104.5255,110.7156) ..
    controls (104.5255,111.2109) and (104.5185,112.0999) .. (104.4892,113.3908) ..
    controls (104.5841,113.3679) and (104.6786,113.3530) .. (104.7735,113.3530) ..
    controls (104.8755,113.3530) and (104.9774,113.3678) .. (105.0719,113.3908) ..
    controls (105.0649,113.0034) and (105.0574,112.7265) .. (105.0574,112.5589) --
    (105.0574,112.0491) .. controls (105.0574,111.4515) and (105.0719,111.0363) ..
    (105.1961,110.7883) .. controls (105.3562,110.4825) and (105.6261,110.3223) ..
    (105.9609,110.3223) .. controls (106.5659,110.3223) and (106.7698,110.6938) ..
    (106.7698,111.4949) .. controls (106.7698,111.9687) and (106.7550,112.6027) ..
    (106.7331,113.3908) .. controls (106.8351,113.3679) and (106.9300,113.3530) ..
    (107.0245,113.3530) .. controls (107.1268,113.3530) and (107.2288,113.3678) ..
    (107.3163,113.3908) -- cycle(103.8403,110.2493) .. controls
    (103.4688,110.0598) and (103.0829,109.9649) .. (102.6818,109.9649) .. controls
    (101.6182,109.9649) and (100.9112,110.6574) .. (100.9112,111.7137) .. controls
    (100.9112,112.7776) and (101.5889,113.4634) .. (102.5798,113.4634) .. controls
    (103.0829,113.4634) and (103.4762,113.3530) .. (103.7966,113.1054) .. controls
    (103.7896,113.0617) and (103.7896,113.0105) .. (103.7896,112.9597) .. controls
    (103.7896,112.8870) and (103.7966,112.7995) .. (103.8041,112.6976) .. controls
    (103.4615,113.0472) and (103.1264,113.2147) .. (102.7256,113.2147) .. controls
    (101.9897,113.2147) and (101.4870,112.6464) .. (101.4870,111.7066) .. controls
    (101.4870,110.7375) and (101.9315,110.1911) .. (102.6819,110.1911) .. controls
    (103.1264,110.1911) and (103.4470,110.4094) .. (103.6510,110.8613) .. controls
    (103.6947,110.6356) and (103.7603,110.4243) .. (103.8404,110.2493) --
    cycle(99.8186,111.4152) -- (97.9458,111.4152) .. controls (97.9751,110.6500)
    and (98.3977,110.1766) .. (98.9296,110.1766) .. controls (99.4761,110.1766)
    and (99.8186,110.5844) .. (99.8186,111.2984) -- cycle(100.3944,111.5097) ..
    controls (100.3944,110.5113) and (99.8624,109.9578) .. (98.9586,109.9578) ..
    controls (97.9680,109.9578) and (97.3196,110.6574) .. (97.3196,111.7136) ..
    controls (97.3196,112.7413) and (97.9969,113.4563) .. (99.0023,113.4563) ..
    controls (99.4394,113.4563) and (99.8402,113.3166) .. (100.2120,113.0471) --
    (100.2120,112.9596) .. controls (100.2120,112.8795) and (100.2190,112.7850) ..
    (100.2265,112.6901) .. controls (99.8914,113.0178) and (99.5418,113.1709) ..
    (99.1265,113.1709) .. controls (98.3540,113.1709) and (97.9313,112.6538) ..
    (97.9313,111.6847) -- (97.9313,111.6625) -- (100.3870,111.6625) .. controls
    (100.3870,111.6117) and (100.3940,111.5605) .. (100.3940,111.5097) --
    cycle(97.1883,113.2221) -- (97.1371,113.0616) .. controls (96.9332,113.1635)
    and (96.7653,113.2147) .. (96.6418,113.2147) .. controls (96.1903,113.2147)
    and (96.0442,112.9377) .. (96.0442,112.3098) .. controls (96.0442,111.6614)
    and (96.0731,111.1139) .. (96.0731,110.6623) .. controls (96.0731,110.6256)
    and (96.0801,110.5018) .. (96.0879,110.3050) .. controls (96.1609,110.2980)
    and (96.2485,110.2980) .. (96.3430,110.2980) .. controls (96.5254,110.2980)
    and (96.7438,110.3050) .. (96.9988,110.3199) -- (96.9988,110.2613) .. controls
    (96.9988,110.1738) and (97.0058,110.0937) .. (97.0207,110.0284) .. controls
    (96.6633,110.0573) and (96.3575,110.0647) .. (96.0954,110.0647) --
    (96.0954,109.5994) .. controls (96.0954,109.5267) and (96.1024,109.3447) ..
    (96.1169,109.0396) .. controls (95.9497,109.1200) and (95.7602,109.1782) ..
    (95.5418,109.2145) .. controls (95.5488,109.4029) and (95.5563,109.5994) ..
    (95.5563,109.8097) -- (95.5563,110.0503) .. controls (95.4106,110.0503) and
    (95.2498,110.0433) .. (95.1044,110.0284) .. controls (95.1044,110.0573) and
    (95.1114,110.0937) .. (95.1114,110.1374) .. controls (95.1114,110.1960) and
    (95.1044,110.2612) .. (95.0966,110.3268) .. controls (95.2205,110.3123) and
    (95.3443,110.3049) .. (95.4685,110.3049) -- (95.5415,110.3049) --
    (95.5415,110.5455) .. controls (95.5415,111.4793) and (95.5048,112.1277) ..
    (95.5048,112.4847) .. controls (95.5048,113.1564) and (95.7524,113.4633) ..
    (96.4153,113.4633) .. controls (96.6852,113.4633) and (96.9543,113.3747) ..
    (97.1879,113.2220) -- cycle(94.4194,113.3907) .. controls (94.3975,112.8065)
    and (94.3831,112.2153) .. (94.3831,111.6251) .. controls (94.3831,111.0786)
    and (94.3976,110.5526) .. (94.4194,110.0284) .. controls (94.3323,110.0503)
    and (94.2303,110.0573) .. (94.1280,110.0573) .. controls (94.0331,110.0573)
    and (93.9389,110.0503) .. (93.8366,110.0284) .. controls (93.8585,110.5456)
    and (93.8729,111.0786) .. (93.8729,111.6251) .. controls (93.8729,112.2153)
    and (93.8584,112.8065) .. (93.8366,113.3907) .. controls (93.9389,113.3678)
    and (94.0331,113.3529) .. (94.1280,113.3529) .. controls (94.2303,113.3529)
    and (94.3322,113.3677) .. (94.4194,113.3907) -- cycle(94.4924,108.7919) ..
    controls (94.4924,108.5880) and (94.3322,108.4349) .. (94.1280,108.4349) ..
    controls (93.9311,108.4349) and (93.7639,108.5880) .. (93.7639,108.7919) ..
    controls (93.7639,108.9888) and (93.9311,109.1489) .. (94.1280,109.1489) ..
    controls (94.3322,109.1489) and (94.4924,108.9888) .. (94.4924,108.7919) --
    cycle(92.7147,113.3907) .. controls (92.6925,112.7716) and (92.6854,111.7221)
    .. (92.6854,110.2457) .. controls (92.6854,109.4382) and (92.6854,108.7094) ..
    (92.7147,108.0550) .. controls (92.6198,108.0620) and (92.5105,108.0695) ..
    (92.4085,108.0695) .. controls (92.3214,108.0695) and (92.2191,108.0625) ..
    (92.1242,108.0550) .. controls (92.1535,108.4483) and (92.1535,108.9062) ..
    (92.1535,109.4452) -- (92.1535,111.3153) .. controls (92.1535,112.2251) and
    (92.1535,112.9159) .. (92.1242,113.3907) .. controls (92.2191,113.3748) and
    (92.3140,113.3678) .. (92.4085,113.3678) .. controls (92.5105,113.3678) and
    (92.6128,113.3748) .. (92.7147,113.3907) -- cycle(90.7328,111.7503) ..
    controls (90.7328,112.7264) and (90.3539,113.2366) .. (89.6544,113.2366) ..
    controls (88.9478,113.2366) and (88.5689,112.7120) .. (88.5689,111.6991) ..
    controls (88.5689,110.6937) and (88.9478,110.1766) .. (89.6473,110.1766) ..
    controls (90.3539,110.1766) and (90.7328,110.7156) .. (90.7328,111.7503) --
    cycle(91.3449,111.7066) .. controls (91.3449,110.6719) and (90.6453,109.9649)
    .. (89.6544,109.9649) .. controls (88.6927,109.9649) and (87.9639,110.6719) ..
    (87.9639,111.7066) .. controls (87.9639,112.7484) and (88.6708,113.4564) ..
    (89.6544,113.4564) .. controls (90.6235,113.4564) and (91.3449,112.7702) ..
    (91.3449,111.7066) -- cycle(87.2209,109.8048) .. controls (87.2209,110.5481)
    and (86.7108,110.9199) .. (85.6909,110.9199) .. controls (85.5816,110.9199)
    and (85.4796,110.9129) .. (85.3703,110.9051) -- (85.3703,110.2638) .. controls
    (85.3703,109.7466) and (85.3851,109.2587) .. (85.4066,108.7994) .. controls
    (85.5597,108.7849) and (85.7054,108.7775) .. (85.8511,108.7775) .. controls
    (86.7912,108.7775) and (87.2209,109.0396) .. (87.2209,109.8048) --
    cycle(87.8912,109.7466) .. controls (87.8912,108.9595) and (87.3299,108.4935)
    .. (86.2956,108.4935) .. controls (85.8581,108.4935) and (85.4648,108.5443) ..
    (85.1078,108.5443) .. controls (85.0058,108.5443) and (84.8968,108.5373) ..
    (84.7582,108.5224) .. controls (84.7875,109.2802) and (84.8019,110.0891) ..
    (84.8019,110.9633) .. controls (84.8019,111.7941) and (84.7874,112.6026) ..
    (84.7582,113.3907) .. controls (84.8820,113.3678) and (84.9988,113.3529) ..
    (85.1152,113.3529) .. controls (85.2172,113.3529) and (85.3120,113.3677) ..
    (85.4140,113.3822) .. controls (85.3851,112.8721) and (85.3777,112.4714) ..
    (85.3777,112.1800) -- (85.3777,111.1601) .. controls (85.6035,111.1746) and
    (85.7929,111.1746) .. (85.9167,111.1746) .. controls (87.2065,111.1746) and
    (87.8912,110.6500) .. (87.8912,109.7465) -- (87.8912,109.7465);
\end{scope}
\end{tikzpicture}
}

\newcommand{\logoang}{
\begin{tikzpicture}[y=0.80pt, x=0.80pt, yscale=-1.000000, xscale=1.000000, inner sep=0pt, outer sep=0pt,, scale=3.23]
\begin{scope}[shift={(-41.79155,-122.99641)}]
  \path[fill=col1,even odd rule,line width=0.007pt] (41.9916,144.2322) --
    (63.0250,144.2322) -- (63.0250,123.1964) -- (41.9916,123.1964) -- cycle;
  \path[fill=col2,even odd rule,line width=0.007pt] (59.5295,126.6744) --
    (46.5113,125.3000) -- (46.5113,125.3251) .. controls (47.0998,125.5731) and
    (47.2698,126.2818) .. (46.8221,126.7330) -- (59.5295,126.7330) --
    cycle(46.8221,142.1285) -- (46.7635,142.1285) -- (45.4861,126.3132) --
    (45.5157,126.3132) .. controls (45.7366,126.9291) and (46.3282,127.0843) ..
    (46.8221,126.7330) -- cycle(53.9144,129.1336) .. controls (53.8583,129.1611)
    and (53.8040,129.2066) .. (53.7613,129.2543) .. controls (53.6989,129.3298)
    and (53.4970,129.2924) .. (53.3817,129.3270) .. controls (53.3119,129.3482)
    and (53.2790,129.3775) .. (53.2741,129.3644) .. controls (53.3090,129.2928)
    and (53.3334,129.2211) .. (53.3919,129.1658) .. controls (53.5193,129.0448)
    and (53.9042,128.9601) .. (53.9144,129.1337) -- cycle(59.5295,128.1779) --
    (53.0307,128.1779) -- (53.0307,129.0761) .. controls (53.1845,128.9943) and
    (53.3090,128.9223) .. (53.4741,128.8754) .. controls (53.5842,128.8440) and
    (53.7027,128.8105) .. (53.8191,128.8221) .. controls (53.9892,128.8394) and
    (54.0516,128.9540) .. (54.0333,129.0722) .. controls (54.1832,128.9921) and
    (54.4654,128.9473) .. (54.6012,129.0719) .. controls (54.7318,129.1905) and
    (54.7582,129.3852) .. (54.7152,129.5475) .. controls (54.5635,129.3852) and
    (54.3684,129.3439) .. (54.1627,129.4445) .. controls (54.0082,129.5200) and
    (53.8798,129.6530) .. (53.8096,129.8085) .. controls (53.8759,129.8851) and
    (54.0904,129.8240) .. (54.1638,129.7859) .. controls (54.2449,129.7439) and
    (54.3162,129.6762) .. (54.4069,129.5775) .. controls (54.3956,129.7242) and
    (54.3780,129.8607) .. (54.3247,129.9327) .. controls (54.2238,130.0706) and
    (54.1229,130.0985) .. (53.9507,130.1585) .. controls (53.8170,130.2047) and
    (53.6812,130.2700) .. (53.5478,130.4051) .. controls (53.4328,130.5575) and
    (53.4039,130.8224) .. (53.4392,131.0468) .. controls (53.4780,131.2941) and
    (53.5690,131.5551) .. (53.6456,131.8105) .. controls (53.7221,132.0670) and
    (53.7846,132.3189) .. (53.7666,132.5492) .. controls (54.1606,132.6131) and
    (54.7942,132.1735) .. (55.0165,131.9947) .. controls (55.2627,131.7954) and
    (55.5156,131.5639) .. (55.6381,131.3389) .. controls (55.7376,131.1558) and
    (55.7668,130.7825) .. (55.5799,130.4915) .. controls (55.2257,129.9401) and
    (55.4190,129.0511) .. (56.1690,128.8243) .. controls (56.6290,128.6899) and
    (57.2615,128.8193) .. (57.5459,129.3319) .. controls (57.8228,129.8318) and
    (57.8863,130.3945) .. (57.8782,130.9843) .. controls (57.8651,131.8881) and
    (57.8288,132.4505) .. (57.9971,133.1246) .. controls (58.0793,133.4548) and
    (58.2338,133.7600) .. (58.4783,134.0401) .. controls (58.2864,134.2676) and
    (57.9653,134.1114) .. (57.7184,133.9007) .. controls (57.3529,133.5885) and
    (57.0407,132.8840) .. (56.8400,131.7513) -- (56.8012,131.8913) .. controls
    (56.7922,132.5732) and (56.8809,133.0950) .. (57.0284,133.7039) .. controls
    (57.1776,134.3205) and (57.3945,134.6793) .. (57.9230,135.0833) .. controls
    (57.6330,135.3450) and (57.3399,135.2318) .. (57.0841,135.0374) .. controls
    (56.5758,134.6500) and (56.3570,134.2104) .. (56.1492,133.3214) --
    (56.1108,133.3715) .. controls (56.0667,133.8930) and (56.1214,134.4094) ..
    (56.2886,134.8779) .. controls (56.4484,135.3263) and (56.7582,135.7556) ..
    (57.1568,136.0816) .. controls (56.8859,136.3261) and (56.5906,136.1642) ..
    (56.3447,135.9860) .. controls (55.9976,135.7345) and (55.4797,135.2480) ..
    (55.3136,134.2948) -- (55.2702,134.3322) .. controls (55.2529,134.8779) and
    (55.3037,135.3683) .. (55.4215,135.7898) .. controls (55.5414,136.2206) and
    (55.9066,136.7332) .. (56.2735,136.9798) .. controls (55.9683,137.2380) and
    (55.6921,137.0796) .. (55.4684,136.9075) .. controls (54.8747,136.4506) and
    (54.5008,135.8047) .. (54.3642,134.9474) -- (54.3109,134.9742) .. controls
    (54.2470,135.9059) and (54.2516,136.9276) .. (55.0860,137.5238) --
    (54.7547,137.7326) -- (54.9484,138.0617) .. controls (55.0338,138.2067) and
    (55.8060,137.8109) .. (56.1203,138.0617) .. controls (56.2466,138.1626) and
    (56.3281,138.3249) .. (56.2367,138.5302) -- (56.2177,138.5222) .. controls
    (56.2097,138.3769) and (56.1362,138.3007) .. (56.0399,138.2605) .. controls
    (55.9002,138.2026) and (55.6865,138.2182) .. (55.5263,138.4016) .. controls
    (55.2166,138.6111) and (54.9982,138.4623) .. (54.8377,138.6715) .. controls
    (54.7428,138.7960) and (54.7449,138.9053) .. (54.7851,139.0278) --
    (54.7692,139.0378) .. controls (54.3420,138.8145) and (54.7413,138.4006) ..
    (54.6623,138.2620) -- (54.4541,137.8980) -- (54.1201,138.1001) .. controls
    (54.0898,137.8560) and (53.7091,136.5563) .. (53.4787,136.4689) .. controls
    (53.4191,136.5543) and (53.4223,136.7818) .. (53.4134,136.9384) .. controls
    (53.4010,137.1571) and (53.5016,137.3173) .. (53.4797,137.6231) .. controls
    (53.4697,137.7561) and (53.4035,137.9396) .. (53.2970,138.1227) .. controls
    (53.4017,138.1911) and (53.4494,138.2987) .. (53.4465,138.4240) .. controls
    (53.4445,138.5644) and (53.3805,138.7273) .. (53.3372,138.8596) .. controls
    (53.2815,139.0304) and (53.2324,139.1598) .. (53.2970,139.1598) .. controls
    (53.4801,139.0645) and (53.6519,139.0477) .. (53.7997,139.0903) .. controls
    (54.0138,139.1520) and (54.1493,139.3560) .. (54.3430,139.4555) .. controls
    (54.5659,139.5705) and (54.7561,139.5507) .. (55.0118,139.6477) .. controls
    (54.6633,139.7811) and (54.6132,140.1374) .. (54.1398,140.0640) .. controls
    (53.8551,140.0199) and (53.4279,139.4812) .. (53.3503,139.5257) .. controls
    (53.2956,139.6851) and (53.3309,139.8718) .. (53.3609,140.1226) .. controls
    (53.3761,140.2475) and (53.3909,140.3900) .. (53.3923,140.5523) .. controls
    (53.3933,140.7149) and (53.3817,140.8990) .. (53.3461,141.1082) .. controls
    (53.2985,141.3880) and (53.1972,141.7461) .. (53.0345,142.1285) --
    (53.0385,142.1285) .. controls (59.4288,139.9924) and (59.4760,131.0449) ..
    (59.5293,128.1779) -- cycle(56.6209,129.7764) .. controls (56.4893,129.7764)
    and (56.3821,129.6624) .. (56.3821,129.5238) .. controls (56.3821,129.3848)
    and (56.4893,129.2712) .. (56.6209,129.2712) .. controls (56.7525,129.2712)
    and (56.8597,129.3848) .. (56.8597,129.5238) .. controls (56.8597,129.6624)
    and (56.7525,129.7764) .. (56.6209,129.7764) -- cycle(56.1820,130.2198) ..
    controls (56.3136,130.2198) and (56.4212,130.1066) .. (56.4212,129.9676) ..
    controls (56.4212,129.8286) and (56.3136,129.7150) .. (56.1820,129.7150) ..
    controls (56.0508,129.7150) and (55.9436,129.8286) .. (55.9436,129.9676) ..
    controls (55.9436,130.1066) and (56.0508,130.2198) .. (56.1820,130.2198) --
    cycle(56.9924,130.2925) .. controls (57.1240,130.2925) and (57.2312,130.1793)
    .. (57.2312,130.0403) .. controls (57.2312,129.9009) and (57.1240,129.7877) ..
    (56.9924,129.7877) .. controls (56.8608,129.7877) and (56.7535,129.9009) ..
    (56.7535,130.0403) .. controls (56.7535,130.1793) and (56.8608,130.2925) ..
    (56.9924,130.2925) -- cycle(56.6096,129.9101) .. controls (56.5620,132.3044)
    and (55.4088,134.1657) .. (53.0324,134.3160) -- (53.0321,133.6453) .. controls
    (54.9561,133.5839) and (56.3944,131.6853) .. (56.5701,129.9101) --
    cycle(52.1473,129.1337) .. controls (52.2034,129.1609) and (52.2577,129.2067)
    .. (52.3004,129.2543) .. controls (52.3632,129.3298) and (52.5647,129.2924) ..
    (52.6800,129.3266) .. controls (52.7498,129.3481) and (52.7827,129.3771) ..
    (52.7876,129.3644) .. controls (52.7527,129.2928) and (52.7283,129.2212) ..
    (52.6698,129.1658) .. controls (52.5424,129.0448) and (52.1576,128.9598) ..
    (52.1473,129.1337) -- cycle(53.0275,142.1286) -- (53.0235,142.1286) ..
    controls (52.8612,141.7469) and (52.7632,141.3878) .. (52.7159,141.1084) ..
    controls (52.6803,140.8995) and (52.6683,140.7150) .. (52.6697,140.5520) ..
    controls (52.6707,140.3897) and (52.6859,140.2476) .. (52.7007,140.1227) ..
    controls (52.7310,139.8715) and (52.7663,139.6852) .. (52.7116,139.5258) ..
    controls (52.6340,139.4813) and (52.2068,140.0200) .. (51.9224,140.0641) ..
    controls (51.4486,140.1375) and (51.3985,139.7812) .. (51.0503,139.6479) ..
    controls (51.3058,139.5505) and (51.4959,139.5706) .. (51.7192,139.4556) ..
    controls (51.9125,139.3558) and (52.0480,139.1522) .. (52.2621,139.0901) ..
    controls (52.4100,139.0478) and (52.5818,139.0647) .. (52.7648,139.1600) ..
    controls (52.8294,139.1600) and (52.7803,139.0305) .. (52.7246,138.8598) ..
    controls (52.6812,138.7275) and (52.6178,138.5645) .. (52.6149,138.4241) ..
    controls (52.6129,138.2989) and (52.6601,138.1913) .. (52.7649,138.1228) ..
    controls (52.6583,137.9398) and (52.5920,137.7563) .. (52.5821,137.6233) ..
    controls (52.5602,137.3175) and (52.6608,137.1573) .. (52.6484,136.9386) ..
    controls (52.6394,136.7819) and (52.6424,136.5544) .. (52.5831,136.4690) ..
    controls (52.3528,136.5565) and (51.9721,137.8561) .. (51.9418,138.1003) --
    (51.6077,137.8978) -- (51.3996,138.2622) .. controls (51.3206,138.4008) and
    (51.7195,138.8146) .. (51.2927,139.0379) -- (51.2768,139.0279) .. controls
    (51.3170,138.9055) and (51.3191,138.7962) .. (51.2242,138.6716) .. controls
    (51.0640,138.4621) and (50.8453,138.6113) .. (50.5355,138.4018) .. controls
    (50.3754,138.2183) and (50.1616,138.2028) .. (50.0219,138.2607) .. controls
    (49.9256,138.3009) and (49.8522,138.3771) .. (49.8441,138.5224) --
    (49.8251,138.5304) .. controls (49.7337,138.3251) and (49.8151,138.1628) ..
    (49.9415,138.0619) .. controls (50.2558,137.8111) and (51.0284,138.2069) ..
    (51.1134,138.0619) -- (51.3071,137.7328) -- (50.9759,137.5239) .. controls
    (51.8105,136.9277) and (51.8148,135.9061) .. (51.7509,134.9744) --
    (51.6976,134.9472) .. controls (51.5611,135.8048) and (51.1871,136.4508) ..
    (50.5934,136.9076) .. controls (50.3698,137.0798) and (50.0935,137.2382) ..
    (49.7880,136.9796) .. controls (50.1553,136.7334) and (50.5204,136.2208) ..
    (50.6407,135.7900) .. controls (50.7585,135.3685) and (50.8090,134.8781) ..
    (50.7917,134.3324) -- (50.7480,134.2950) .. controls (50.5822,135.2482) and
    (50.0643,135.7346) .. (49.7172,135.9862) .. controls (49.4713,136.1643) and
    (49.1760,136.3259) .. (48.9051,136.0818) .. controls (49.3037,135.7558) and
    (49.6134,135.3265) .. (49.7733,134.8781) .. controls (49.9405,134.4096) and
    (49.9952,133.8931) .. (49.9507,133.3717) -- (49.9126,133.3216) .. controls
    (49.7048,134.2103) and (49.4861,134.6502) .. (48.9777,135.0375) .. controls
    (48.7220,135.2319) and (48.4288,135.3452) .. (48.1388,135.0834) .. controls
    (48.6673,134.6795) and (48.8843,134.3207) .. (49.0335,133.7041) .. controls
    (49.1809,133.0952) and (49.2698,132.5734) .. (49.2610,131.8915) --
    (49.2218,131.7515) .. controls (49.0211,132.8839) and (48.7089,133.5887) ..
    (48.3434,133.9009) .. controls (48.0965,134.1115) and (47.7754,134.2678) ..
    (47.5835,134.0403) .. controls (47.8280,133.7602) and (47.9825,133.4550) ..
    (48.0651,133.1248) .. controls (48.2330,132.4507) and (48.1967,131.8883) ..
    (48.1840,130.9845) .. controls (48.1750,130.3947) and (48.2390,129.8316) ..
    (48.5159,129.3321) .. controls (48.8003,128.8188) and (49.4328,128.6901) ..
    (49.8928,128.8245) .. controls (50.6428,129.0513) and (50.8361,129.9403) ..
    (50.4823,130.4913) .. controls (50.2950,130.7827) and (50.3243,131.1560) ..
    (50.4237,131.3391) .. controls (50.5461,131.5641) and (50.7991,131.7956) ..
    (51.0453,131.9945) .. controls (51.2675,132.1737) and (51.9011,132.6133) ..
    (52.2952,132.5494) .. controls (52.2772,132.3191) and (52.3396,132.0672) ..
    (52.4162,131.8107) .. controls (52.4924,131.5553) and (52.5838,131.2943) ..
    (52.6226,131.0470) .. controls (52.6579,130.8226) and (52.6286,130.5577) ..
    (52.5139,130.4053) .. controls (52.3809,130.2701) and (52.2447,130.2049) ..
    (52.1110,130.1587) .. controls (51.9389,130.0987) and (51.8380,130.0709) ..
    (51.7371,129.9329) .. controls (51.6838,129.8609) and (51.6665,129.7244) ..
    (51.6549,129.5776) .. controls (51.7456,129.6764) and (51.8168,129.7442) ..
    (51.8980,129.7861) .. controls (51.9714,129.8238) and (52.1858,129.8852) ..
    (52.2521,129.8087) .. controls (52.1819,129.6532) and (52.0535,129.5202) ..
    (51.8990,129.4447) .. controls (51.6933,129.3441) and (51.4983,129.3854) ..
    (51.3466,129.5473) .. controls (51.3036,129.3854) and (51.3300,129.1907) ..
    (51.4605,129.0718) .. controls (51.5963,128.9476) and (51.8786,128.9924) ..
    (52.0285,129.0726) .. controls (52.0102,128.9541) and (52.0726,128.8398) ..
    (52.2426,128.8225) .. controls (52.3590,128.8109) and (52.4776,128.8444) ..
    (52.5876,128.8758) .. controls (52.7527,128.9227) and (52.8773,128.9947) ..
    (53.0307,129.0765) -- cycle(49.4408,129.7764) .. controls (49.5724,129.7764)
    and (49.6796,129.6625) .. (49.6796,129.5238) .. controls (49.6796,129.3845)
    and (49.5724,129.2709) .. (49.4408,129.2709) .. controls (49.3092,129.2709)
    and (49.2020,129.3845) .. (49.2020,129.5238) .. controls (49.2020,129.6625)
    and (49.3092,129.7764) .. (49.4408,129.7764) -- cycle(49.8793,130.2199) ..
    controls (49.7481,130.2199) and (49.6405,130.1066) .. (49.6405,129.9676) ..
    controls (49.6405,129.8286) and (49.7481,129.7150) .. (49.8793,129.7150) ..
    controls (50.0109,129.7150) and (50.1181,129.8286) .. (50.1181,129.9676) ..
    controls (50.1181,130.1066) and (50.0109,130.2199) .. (49.8793,130.2199) --
    cycle(49.0693,130.2922) .. controls (48.9377,130.2922) and (48.8309,130.1793)
    .. (48.8309,130.0403) .. controls (48.8309,129.9009) and (48.9377,129.7877) ..
    (49.0693,129.7877) .. controls (49.2009,129.7877) and (49.3082,129.9009) ..
    (49.3082,130.0403) .. controls (49.3082,130.1793) and (49.2009,130.2922) ..
    (49.0693,130.2922) -- cycle(49.4521,129.9098) .. controls (49.4997,132.3044)
    and (50.6530,134.1657) .. (53.0293,134.3159) -- (53.0296,133.6453) .. controls
    (51.1059,133.5839) and (49.6673,131.6853) .. (49.4912,129.9098) --
    (49.4520,129.9098) -- (49.4520,129.9098);
  \path[fill=col1,even odd rule,line width=0.007pt] (140.9372,144.2124) --
    (140.9372,144.0025) -- (65.1687,144.0025) -- (65.1687,144.2124) --
    (140.9372,144.2124);
  \path[fill=col1,even odd rule,line width=0.007pt] (75.7182,130.6446) ..
    controls (75.6949,130.7642) and (75.6836,130.9388) .. (75.6836,131.1692) --
    (75.6282,131.2034) .. controls (75.5132,131.1440) and (75.4031,131.1141) ..
    (75.2973,131.1141) .. controls (75.0394,131.1141) and (74.8542,131.2263) ..
    (74.7416,131.4521) .. controls (74.6291,131.6772) and (74.5727,132.0293) ..
    (74.5727,132.5080) .. controls (74.5727,133.0918) and (74.5836,133.5557) ..
    (74.6069,133.9011) .. controls (74.5198,133.8831) and (74.4209,133.8736) ..
    (74.3105,133.8736) .. controls (74.2276,133.8736) and (74.1405,133.8806) ..
    (74.0484,133.8944) .. controls (74.0710,133.3515) and (74.0830,132.6015) ..
    (74.0830,131.6451) .. controls (74.0830,131.2263) and (74.0710,130.8930) ..
    (74.0484,130.6446) .. controls (74.1405,130.6626) and (74.2393,130.6725) ..
    (74.3455,130.6725) .. controls (74.4509,130.6725) and (74.5476,130.6625) ..
    (74.6351,130.6446) .. controls (74.6069,130.8651) and (74.5935,131.1188) ..
    (74.5935,131.4034) .. controls (74.8415,130.8743) and (75.1286,130.6100) ..
    (75.4557,130.6100) .. controls (75.5069,130.6100) and (75.5936,130.6213) ..
    (75.7181,130.6446) -- cycle(79.3197,132.2730) .. controls (79.3197,132.7789)
    and (79.1652,133.1874) .. (78.8575,133.4975) .. controls (78.5492,133.8083)
    and (78.1580,133.9632) .. (77.6849,133.9632) .. controls (77.2058,133.9632)
    and (76.8146,133.8069) .. (76.5080,133.4943) .. controls (76.2018,133.1814)
    and (76.0498,132.7747) .. (76.0498,132.2730) .. controls (76.0498,131.7763)
    and (76.2043,131.3706) .. (76.5147,131.0549) .. controls (76.8255,130.7398)
    and (77.2154,130.5832) .. (77.6849,130.5832) .. controls (78.1679,130.5832)
    and (78.5605,130.7388) .. (78.8646,131.0517) .. controls (79.1683,131.3646)
    and (79.3197,131.7717) .. (79.3197,132.2730) -- cycle(78.7267,132.3143) ..
    controls (78.7267,131.2979) and (78.3767,130.7896) .. (77.6775,130.7896) ..
    controls (76.9875,130.7896) and (76.6424,131.2817) .. (76.6424,132.2660) ..
    controls (76.6424,133.2597) and (76.9903,133.7568) .. (77.6849,133.7568) ..
    controls (78.3788,133.7568) and (78.7267,133.2760) .. (78.7267,132.3143) --
    cycle(82.5765,130.8584) .. controls (82.5031,131.0281) and (82.4407,131.2260)
    .. (82.3899,131.4521) .. controls (82.1969,131.0196) and (81.8844,130.8030) ..
    (81.4519,130.8030) .. controls (81.0885,130.8030) and (80.8056,130.9310) ..
    (80.6031,131.1865) .. controls (80.4006,131.4415) and (80.2997,131.8038) ..
    (80.2997,132.2730) .. controls (80.2997,132.7232) and (80.4087,133.0791) ..
    (80.6271,133.3391) .. controls (80.8454,133.5991) and (81.1368,133.7286) ..
    (81.5002,133.7286) .. controls (81.8681,133.7286) and (82.2156,133.5631) ..
    (82.5419,133.2319) .. controls (82.5319,133.3606) and (82.5285,133.4457) ..
    (82.5285,133.4869) .. controls (82.5285,133.5518) and (82.5305,133.5980) ..
    (82.5355,133.6252) .. controls (82.2410,133.8552) and (81.8473,133.9702) ..
    (81.3555,133.9702) .. controls (80.8726,133.9702) and (80.4834,133.8164) ..
    (80.1896,133.5084) .. controls (79.8950,133.1998) and (79.7479,132.7905) ..
    (79.7479,132.2797) .. controls (79.7479,131.7647) and (79.9031,131.3533) ..
    (80.2136,131.0443) .. controls (80.5240,130.7363) and (80.9371,130.5829) ..
    (81.4522,130.5829) .. controls (81.8473,130.5829) and (82.2230,130.6743) ..
    (82.5768,130.8584) -- cycle(84.2258,130.4929) .. controls (84.1104,130.5613)
    and (83.9449,130.6675) .. (83.7283,130.8101) .. controls (83.7283,132.3880)
    and (83.7403,133.4188) .. (83.7632,133.9011) .. controls (83.6620,133.8877)
    and (83.5632,133.8806) .. (83.4662,133.8806) .. controls (83.3741,133.8806)
    and (83.2824,133.8876) .. (83.1903,133.9011) .. controls (83.2086,133.3677)
    and (83.2182,132.7856) .. (83.2182,132.1559) -- (83.2182,131.1551) .. controls
    (83.1579,131.2013) and (82.9995,131.3276) .. (82.7420,131.5343) --
    (82.7420,131.1755) .. controls (82.8983,131.0884) and (83.0595,130.9850) ..
    (83.2249,130.8651) -- (83.2249,130.6859) .. controls (83.2249,129.8583) and
    (83.2133,129.2053) .. (83.1903,128.7266) .. controls (83.3099,128.7355) and
    (83.4024,128.7404) .. (83.4662,128.7404) .. controls (83.5354,128.7404) and
    (83.6341,128.7354) .. (83.7632,128.7266) .. controls (83.7403,129.2187) and
    (83.7283,129.7916) .. (83.7283,130.4442) -- (83.7283,130.5207) .. controls
    (83.9079,130.3916) and (84.0737,130.2604) .. (84.2258,130.1267) --
    cycle(87.4198,133.7907) .. controls (87.1722,133.8641) and (86.9831,133.9014)
    .. (86.8543,133.9014) .. controls (86.6426,133.9014) and (86.5163,133.7677) ..
    (86.4751,133.5010) .. controls (86.1805,133.8094) and (85.8376,133.9635) ..
    (85.4467,133.9635) .. controls (84.8121,133.9635) and (84.4946,133.6803) ..
    (84.4946,133.1148) .. controls (84.4946,132.6314) and (84.7613,132.3330) ..
    (85.2950,132.2176) .. controls (85.5480,132.1672) and (85.8030,132.1164) ..
    (86.0609,132.0652) .. controls (86.2772,132.0200) and (86.4218,131.9651) ..
    (86.4955,131.9008) -- (86.4955,131.7555) .. controls (86.4955,131.4472) and
    (86.4366,131.2193) .. (86.3198,131.0725) .. controls (86.2024,130.9247) and
    (86.0059,130.8513) .. (85.7296,130.8513) .. controls (85.3525,130.8513) and
    (85.0558,131.0150) .. (84.8396,131.3413) -- (84.7846,131.3413) --
    (84.7984,130.9762) .. controls (85.1064,130.7183) and (85.4768,130.5896) ..
    (85.9093,130.5896) .. controls (86.2956,130.5896) and (86.5739,130.6820) ..
    (86.7443,130.8686) .. controls (86.9143,131.0549) and (86.9990,131.3480) ..
    (86.9990,131.7488) -- (86.9990,131.8313) -- (86.9718,133.2043) .. controls
    (86.9718,133.3609) and (86.9831,133.4668) .. (87.0060,133.5218) .. controls
    (87.0476,133.6139) and (87.1369,133.6597) .. (87.2752,133.6597) .. controls
    (87.3260,133.6597) and (87.3652,133.6577) .. (87.3923,133.6527) --
    cycle(86.4818,133.0805) -- (86.4818,132.1901) .. controls (85.9388,132.2822)
    and (85.5780,132.3746) .. (85.3987,132.4663) .. controls (85.1730,132.5814)
    and (85.0604,132.7680) .. (85.0604,133.0251) .. controls (85.0604,133.4622)
    and (85.2650,133.6803) .. (85.6746,133.6803) .. controls (85.9318,133.6803)
    and (86.1625,133.5797) .. (86.3643,133.3769) .. controls (86.4430,133.2986)
    and (86.4818,133.1998) .. (86.4818,133.0805) -- cycle(92.5947,130.6446) ..
    controls (91.8592,132.3005) and (91.4221,133.3860) .. (91.2838,133.9011) ..
    controls (91.2150,133.8873) and (91.1458,133.8806) .. (91.0771,133.8806) ..
    controls (91.0125,133.8806) and (90.9458,133.8876) .. (90.8767,133.9011) ..
    controls (90.8312,133.6157) and (90.5475,132.7856) .. (90.0282,131.4108) ..
    controls (89.6049,132.4268) and (89.3153,133.2576) .. (89.1586,133.9011) ..
    controls (89.1173,133.8921) and (89.0532,133.8873) .. (88.9657,133.8873) ..
    controls (88.8782,133.8873) and (88.8115,133.8923) .. (88.7657,133.9011) ..
    controls (88.6461,133.3860) and (88.2460,132.3005) .. (87.5644,130.6446) ..
    controls (87.6568,130.6626) and (87.7581,130.6725) .. (87.8685,130.6725) ..
    controls (87.9835,130.6725) and (88.0866,130.6625) .. (88.1793,130.6446) ..
    controls (88.3127,131.1829) and (88.5998,132.0247) .. (89.0419,133.1705) ..
    controls (89.3724,132.4339) and (89.6741,131.5922) .. (89.9453,130.6446) ..
    controls (90.0145,130.6587) and (90.0836,130.6651) .. (90.1521,130.6651) ..
    controls (90.2167,130.6651) and (90.2837,130.6591) .. (90.3524,130.6446) ..
    controls (90.6562,131.7763) and (90.9437,132.6163) .. (91.2150,133.1631) ..
    controls (91.4584,132.6614) and (91.7784,131.8218) .. (92.1742,130.6446) ..
    controls (92.2754,130.6546) and (92.3467,130.6587) .. (92.3880,130.6587) ..
    controls (92.4339,130.6587) and (92.5030,130.6537) .. (92.5947,130.6446) --
    cycle(98.9567,129.1883) .. controls (98.9338,129.7817) and (98.9221,130.2004)
    .. (98.9221,130.4442) -- (98.9221,130.6241) .. controls (98.9221,131.3738) and
    (98.9105,131.8938) .. (98.8872,132.1834) .. controls (98.8463,132.6201) and
    (98.7637,132.9493) .. (98.6392,133.1705) .. controls (98.3220,133.7169) and
    (97.7608,133.9910) .. (96.9557,133.9910) .. controls (96.2699,133.9910) and
    (95.7711,133.8238) .. (95.4586,133.4908) .. controls (95.1460,133.1578) and
    (94.9890,132.6318) .. (94.9890,131.9142) .. controls (94.9890,131.8867) and
    (94.9920,131.7142) .. (94.9996,131.3964) .. controls (95.0066,131.0792) and
    (95.0102,130.7776) .. (95.0102,130.4929) .. controls (95.0102,130.1200) and
    (95.0032,129.6857) .. (94.9890,129.1883) .. controls (95.0800,129.2070) and
    (95.1799,129.2165) .. (95.2896,129.2165) .. controls (95.4123,129.2165) and
    (95.5185,129.2049) .. (95.6102,129.1816) -- (95.5827,131.6930) .. controls
    (95.5827,132.0426) and (95.5986,132.3076) .. (95.6307,132.4868) .. controls
    (95.6769,132.7814) and (95.7764,133.0205) .. (95.9281,133.2043) .. controls
    (96.1864,133.5169) and (96.5645,133.6732) .. (97.0627,133.6732) .. controls
    (97.5654,133.6732) and (97.9457,133.5130) .. (98.2043,133.1902) .. controls
    (98.3517,133.0068) and (98.4484,132.7535) .. (98.4939,132.4321) .. controls
    (98.5264,132.2159) and (98.5426,131.8546) .. (98.5426,131.3480) .. controls
    (98.5426,130.5712) and (98.5336,129.8512) .. (98.5151,129.1883) .. controls
    (98.5839,129.2070) and (98.6555,129.2165) .. (98.7285,129.2165) .. controls
    (98.8121,129.2165) and (98.8873,129.2075) .. (98.9568,129.1883) --
    cycle(102.6552,133.9014) .. controls (102.5490,133.8785) and
    (102.4548,133.8665) .. (102.3723,133.8665) .. controls (102.2890,133.8665) and
    (102.1952,133.8785) .. (102.0890,133.9014) .. controls (102.1165,133.4188) and
    (102.1306,132.7676) .. (102.1306,131.9488) .. controls (102.1306,131.2676) and
    (101.8681,130.9272) .. (101.3443,130.9272) .. controls (101.0723,130.9272) and
    (100.8585,131.0263) .. (100.7026,131.2246) .. controls (100.5456,131.4221) and
    (100.4680,131.7809) .. (100.4680,132.3005) -- (100.4680,132.6113) .. controls
    (100.4680,133.2361) and (100.4750,133.6665) .. (100.4881,133.9014) .. controls
    (100.3826,133.8785) and (100.2859,133.8665) .. (100.1984,133.8665) .. controls
    (100.1159,133.8665) and (100.0213,133.8785) .. (99.9159,133.9014) .. controls
    (99.9342,133.6439) and (99.9431,133.2435) .. (99.9431,132.7006) --
    (99.9431,132.2113) .. controls (99.9431,131.4930) and (99.9341,130.9709) ..
    (99.9159,130.6446) .. controls (100.0030,130.6629) and (100.0975,130.6725) ..
    (100.1984,130.6725) .. controls (100.3043,130.6725) and (100.3939,130.6625) ..
    (100.4680,130.6446) .. controls (100.4580,130.8104) and (100.4539,130.9272) ..
    (100.4539,130.9963) .. controls (100.4539,131.0242) and (100.4559,131.0654) ..
    (100.4609,131.1208) -- (100.4609,131.2447) .. controls (100.7219,130.7987) and
    (101.0835,130.5758) .. (101.5435,130.5758) .. controls (102.2794,130.5758) and
    (102.6477,130.9871) .. (102.6477,131.8105) .. controls (102.6477,131.9255) and
    (102.6457,132.0949) .. (102.6407,132.3185) .. controls (102.6367,132.5408) and
    (102.6337,132.7048) .. (102.6337,132.8113) .. controls (102.6337,133.1521) and
    (102.6407,133.5155) .. (102.6549,133.9014) -- cycle(104.2417,129.4437) ..
    controls (104.2417,129.5404) and (104.2075,129.6233) .. (104.1386,129.6924) ..
    controls (104.0698,129.7615) and (103.9866,129.7958) .. (103.8903,129.7958) ..
    controls (103.7936,129.7958) and (103.7104,129.7616) .. (103.6419,129.6924) ..
    controls (103.5724,129.6233) and (103.5386,129.5404) .. (103.5386,129.4437) ..
    controls (103.5386,129.3474) and (103.5725,129.2659) .. (103.6419,129.1993) ..
    controls (103.7103,129.1326) and (103.7936,129.0991) .. (103.8903,129.0991) ..
    controls (103.9866,129.0991) and (104.0699,129.1326) .. (104.1386,129.1993) ..
    controls (104.2074,129.2660) and (104.2417,129.3474) .. (104.2417,129.4437) --
    cycle(104.1729,133.9014) .. controls (104.0713,133.8785) and
    (103.9771,133.8665) .. (103.8903,133.8665) .. controls (103.8067,133.8665) and
    (103.7125,133.8785) .. (103.6070,133.9014) .. controls (103.6299,133.2714) and
    (103.6419,132.7006) .. (103.6419,132.1901) .. controls (103.6419,131.7206) and
    (103.6299,131.2055) .. (103.6070,130.6446) .. controls (103.6945,130.6629) and
    (103.7890,130.6725) .. (103.8903,130.6725) .. controls (104.0000,130.6725) and
    (104.0949,130.6625) .. (104.1729,130.6446) .. controls (104.1500,131.2108) and
    (104.1387,131.7258) .. (104.1387,132.1901) .. controls (104.1387,132.7006) and
    (104.1500,133.2714) .. (104.1729,133.9014) -- cycle(107.7606,130.6446) ..
    controls (107.0156,132.2956) and (106.5605,133.3811) .. (106.3943,133.9011) ..
    controls (106.3442,133.8921) and (106.2730,133.8873) .. (106.1812,133.8873) ..
    controls (106.0937,133.8873) and (106.0292,133.8923) .. (105.9876,133.9011) ..
    controls (105.7992,133.2939) and (105.3550,132.2081) .. (104.6562,130.6446) ..
    controls (104.7476,130.6626) and (104.8513,130.6725) .. (104.9663,130.6725) ..
    controls (105.0855,130.6725) and (105.1938,130.6625) .. (105.2905,130.6446) ..
    controls (105.4425,131.2104) and (105.7805,132.0825) .. (106.3047,133.2597) ..
    controls (106.7460,132.4039) and (107.0868,131.5325) .. (107.3263,130.6446) ..
    controls (107.3951,130.6626) and (107.4685,130.6725) .. (107.5472,130.6725) ..
    controls (107.6297,130.6725) and (107.7006,130.6625) .. (107.7606,130.6446) --
    cycle(110.8587,132.0800) -- (110.8587,132.1559) .. controls
    (110.8537,132.1880) and (110.8517,132.2134) .. (110.8517,132.2314) --
    (108.4779,132.2314) -- (108.4779,132.2526) .. controls (108.4779,133.2097) and
    (108.8642,133.6874) .. (109.6371,133.6874) .. controls (110.0329,133.6874) and
    (110.3871,133.5336) .. (110.6997,133.2252) .. controls (110.6897,133.3452) and
    (110.6859,133.4320) .. (110.6859,133.4870) -- (110.6859,133.5703) .. controls
    (110.3271,133.8324) and (109.9362,133.9637) .. (109.5129,133.9637) .. controls
    (109.0299,133.9637) and (108.6376,133.8070) .. (108.3364,133.4941) .. controls
    (108.0354,133.1815) and (107.8845,132.7766) .. (107.8845,132.2798) .. controls
    (107.8845,131.7644) and (108.0287,131.3520) .. (108.3187,131.0416) .. controls
    (108.6091,130.7308) and (108.9929,130.5759) .. (109.4716,130.5759) .. controls
    (109.9133,130.5759) and (110.2544,130.7057) .. (110.4961,130.9657) .. controls
    (110.7374,131.2254) and (110.8584,131.5969) .. (110.8584,132.0802) --
    cycle(110.3070,131.9897) -- (110.3070,131.8719) .. controls
    (110.3070,131.5297) and (110.2297,131.2623) .. (110.0755,131.0707) .. controls
    (109.9214,130.8792) and (109.7108,130.7829) .. (109.4441,130.7829) .. controls
    (109.1823,130.7829) and (108.9608,130.8891) .. (108.7816,131.1011) .. controls
    (108.6023,131.3283) and (108.5060,131.6246) .. (108.4919,131.9897) --
    cycle(113.1701,130.6446) .. controls (113.1472,130.7642) and
    (113.1355,130.9388) .. (113.1355,131.1692) -- (113.0805,131.2034) .. controls
    (112.9652,131.1441) and (112.8551,131.1142) .. (112.7496,131.1142) .. controls
    (112.4914,131.1142) and (112.3058,131.2263) .. (112.1936,131.4521) .. controls
    (112.0811,131.6772) and (112.0243,132.0293) .. (112.0243,132.5080) .. controls
    (112.0243,133.0918) and (112.0367,133.5557) .. (112.0596,133.9011) .. controls
    (111.9721,133.8831) and (111.8733,133.8736) .. (111.7626,133.8736) .. controls
    (111.6797,133.8736) and (111.5925,133.8806) .. (111.5004,133.8944) .. controls
    (111.5233,133.3515) and (111.5346,132.6015) .. (111.5346,131.6451) .. controls
    (111.5346,131.2264) and (111.5233,130.8930) .. (111.5004,130.6446) .. controls
    (111.5925,130.6626) and (111.6913,130.6725) .. (111.7968,130.6725) .. controls
    (111.9026,130.6725) and (111.9993,130.6625) .. (112.0868,130.6446) .. controls
    (112.0596,130.8651) and (112.0452,131.1188) .. (112.0452,131.4035) .. controls
    (112.2939,130.8743) and (112.5814,130.6101) .. (112.9077,130.6101) .. controls
    (112.9589,130.6101) and (113.0456,130.6214) .. (113.1702,130.6447) --
    cycle(115.3986,132.8801) .. controls (115.3986,133.1927) and
    (115.2857,133.4520) .. (115.0606,133.6562) .. controls (114.8352,133.8616) and
    (114.5407,133.9632) .. (114.1773,133.9632) .. controls (113.8189,133.9632) and
    (113.5218,133.8807) .. (113.2872,133.7152) .. controls (113.3563,133.5405) and
    (113.4118,133.3631) .. (113.4527,133.1839) .. controls (113.6785,133.5289) and
    (113.9593,133.7014) .. (114.2948,133.7014) .. controls (114.5022,133.7014) and
    (114.6652,133.6450) .. (114.7848,133.5324) .. controls (114.9044,133.4202) and
    (114.9640,133.2678) .. (114.9640,133.0742) .. controls (114.9640,132.7994) and
    (114.7823,132.6113) .. (114.4186,132.5104) -- (114.1018,132.4201) .. controls
    (113.8393,132.3474) and (113.6499,132.2413) .. (113.5328,132.1040) .. controls
    (113.4153,131.9668) and (113.3564,131.7763) .. (113.3564,131.5325) .. controls
    (113.3564,131.2570) and (113.4527,131.0302) .. (113.6464,130.8506) .. controls
    (113.8393,130.6721) and (114.0947,130.5832) .. (114.4119,130.5832) .. controls
    (114.7435,130.5832) and (115.0307,130.6583) .. (115.2744,130.8101) .. controls
    (115.2056,130.9533) and (115.1573,131.0976) .. (115.1301,131.2450) .. controls
    (114.8677,130.9413) and (114.6006,130.7896) .. (114.3293,130.7896) .. controls
    (114.1544,130.7896) and (114.0136,130.8432) .. (113.9049,130.9519) .. controls
    (113.7973,131.0598) and (113.7427,131.1988) .. (113.7427,131.3692) .. controls
    (113.7427,131.6542) and (113.9180,131.8476) .. (114.2672,131.9492) --
    (114.7364,132.0868) .. controls (115.1785,132.2155) and (115.3986,132.4805) ..
    (115.3986,132.8802) -- cycle(116.6541,129.4437) .. controls
    (116.6541,129.5404) and (116.6199,129.6233) .. (116.5511,129.6924) .. controls
    (116.4820,129.7615) and (116.3994,129.7958) .. (116.3031,129.7958) .. controls
    (116.2064,129.7958) and (116.1232,129.7616) .. (116.0544,129.6924) .. controls
    (115.9849,129.6233) and (115.9507,129.5404) .. (115.9507,129.4437) .. controls
    (115.9507,129.3474) and (115.9849,129.2659) .. (116.0544,129.1993) .. controls
    (116.1232,129.1326) and (116.2065,129.0991) .. (116.3031,129.0991) .. controls
    (116.3994,129.0991) and (116.4820,129.1326) .. (116.5511,129.1993) .. controls
    (116.6199,129.2660) and (116.6541,129.3474) .. (116.6541,129.4437) --
    cycle(116.5857,133.9014) .. controls (116.4841,133.8785) and
    (116.3896,133.8665) .. (116.3032,133.8665) .. controls (116.2196,133.8665) and
    (116.1250,133.8785) .. (116.0199,133.9014) .. controls (116.0425,133.2714) and
    (116.0545,132.7006) .. (116.0545,132.1901) .. controls (116.0545,131.7206) and
    (116.0425,131.2055) .. (116.0199,130.6446) .. controls (116.1070,130.6629) and
    (116.2016,130.6725) .. (116.3032,130.6725) .. controls (116.4132,130.6725) and
    (116.5074,130.6625) .. (116.5857,130.6446) .. controls (116.5628,131.2108) and
    (116.5511,131.7258) .. (116.5511,132.1901) .. controls (116.5511,132.7006) and
    (116.5627,133.2714) .. (116.5857,133.9014) -- cycle(122.0915,130.6446) ..
    controls (121.9536,130.9159) and (121.7352,131.3897) .. (121.4361,132.0656) --
    (120.5111,134.1565) .. controls (120.1756,134.9153) and (119.9900,135.3700) ..
    (119.9075,135.6964) .. controls (119.8338,135.6830) and (119.7554,135.6759) ..
    (119.6733,135.6759) .. controls (119.5946,135.6759) and (119.5141,135.6829) ..
    (119.4312,135.6964) .. controls (119.6616,135.3104) and (119.8906,134.8853) ..
    (120.1661,134.2461) -- (120.3255,133.8806) -- (120.0356,133.1214) .. controls
    (119.8987,132.7644) and (119.5424,131.9463) .. (118.9688,130.6665) .. controls
    (118.9575,130.7293) and (118.9519,130.7981) .. (118.9519,130.8728) --
    (118.9519,130.9271) .. controls (118.7039,130.9133) and (118.4922,130.9067) ..
    (118.3172,130.9067) .. controls (118.2026,130.9067) and (118.1200,130.9087) ..
    (118.0689,130.9137) -- (118.0555,131.2591) .. controls (118.0555,131.3925) and
    (118.0505,131.6359) .. (118.0417,131.9904) .. controls (118.0327,132.3450) and
    (118.0276,132.6342) .. (118.0276,132.8597) .. controls (118.0276,133.1680) and
    (118.0710,133.3899) .. (118.1584,133.5257) .. controls (118.2459,133.6612) and
    (118.3959,133.7293) .. (118.6075,133.7293) .. controls (118.7264,133.7293) and
    (118.8876,133.6806) .. (119.0901,133.5846) -- (119.1381,133.7360) .. controls
    (118.9039,133.8926) and (118.6530,133.9702) .. (118.3871,133.9702) .. controls
    (118.0688,133.9702) and (117.8434,133.8958) .. (117.7108,133.7462) .. controls
    (117.5771,133.5973) and (117.5100,133.3564) .. (117.5100,133.0255) .. controls
    (117.5100,132.9564) and (117.5160,132.7136) .. (117.5277,132.2973) .. controls
    (117.5386,131.8811) and (117.5446,131.4979) .. (117.5446,131.1483) --
    (117.5446,130.9137) -- (117.4691,130.9137) .. controls (117.3538,130.9137) and
    (117.2338,130.9207) .. (117.1100,130.9349) .. controls (117.1190,130.8516) and
    (117.1238,130.7921) .. (117.1238,130.7554) -- (117.1238,130.7004) .. controls
    (117.1188,130.6725) and (117.1168,130.6545) .. (117.1168,130.6454) .. controls
    (117.2636,130.6588) and (117.4110,130.6655) .. (117.5585,130.6655) --
    (117.5585,130.4379) .. controls (117.5585,130.2912) and (117.5535,130.0982) ..
    (117.5444,129.8583) .. controls (117.7606,129.8220) and (117.9448,129.7641) ..
    (118.0965,129.6862) .. controls (118.0824,129.9807) and (118.0757,130.1621) ..
    (118.0757,130.2312) -- (118.0757,130.6863) .. controls (118.3255,130.6863) and
    (118.6200,130.6729) .. (118.9598,130.6461) -- (118.9590,130.6451) --
    (118.9640,130.6459) -- (118.9730,130.6456) -- (118.9722,130.6476) .. controls
    (119.0657,130.6642) and (119.1740,130.6730) .. (119.2967,130.6730) .. controls
    (119.4205,130.6730) and (119.5313,130.6630) .. (119.6280,130.6451) .. controls
    (119.7476,131.0639) and (119.9935,131.7310) .. (120.3660,132.6461) --
    (120.6073,133.2391) -- (120.8560,132.6665) .. controls (121.2056,131.8569) and
    (121.4631,131.1835) .. (121.6286,130.6451) .. controls (121.6981,130.6631) and
    (121.7757,130.6730) .. (121.8632,130.6730) .. controls (121.9461,130.6730) and
    (122.0219,130.6630) .. (122.0911,130.6451) -- cycle(70.4671,139.6521) ..
    controls (70.4671,140.1579) and (70.3126,140.5665) .. (70.0046,140.8762) ..
    controls (69.6966,141.1870) and (69.3058,141.3426) .. (68.8316,141.3426) ..
    controls (68.3533,141.3426) and (67.9613,141.1859) .. (67.6558,140.8734) ..
    controls (67.3493,140.5605) and (67.1965,140.1534) .. (67.1965,139.6521) ..
    controls (67.1965,139.1557) and (67.3517,138.7493) .. (67.6618,138.4343) ..
    controls (67.9723,138.1189) and (68.3631,137.9619) .. (68.8316,137.9619) ..
    controls (69.3146,137.9619) and (69.7076,138.1182) .. (70.0120,138.4311) ..
    controls (70.3154,138.7437) and (70.4671,139.1508) .. (70.4671,139.6521) --
    cycle(69.8741,139.6934) .. controls (69.8741,138.6770) and (69.5241,138.1683)
    .. (68.8246,138.1683) .. controls (68.1349,138.1683) and (67.7899,138.6608) ..
    (67.7899,139.6450) .. controls (67.7899,140.6388) and (68.1374,141.1359) ..
    (68.8316,141.1359) .. controls (69.5262,141.1359) and (69.8741,140.6547) ..
    (69.8741,139.6934) -- cycle(72.6543,136.1127) -- (72.5852,136.6503) ..
    controls (72.4702,136.5960) and (72.3386,136.5677) .. (72.1919,136.5677) ..
    controls (71.8006,136.5677) and (71.6052,136.7818) .. (71.6052,137.2098) ..
    controls (71.6052,137.3981) and (71.6235,137.6857) .. (71.6606,138.0719) --
    (71.8127,138.0719) .. controls (71.8815,138.0769) and (71.9322,138.0789) ..
    (71.9643,138.0789) .. controls (72.0610,138.0789) and (72.1965,138.0749) ..
    (72.3715,138.0648) -- (72.3715,138.3481) .. controls (72.3440,138.3481) and
    (72.1118,138.3361) .. (71.6747,138.3135) .. controls (71.6747,139.8361) and
    (71.6927,140.8250) .. (71.7297,141.2804) .. controls (71.6235,141.2575) and
    (71.5230,141.2458) .. (71.4260,141.2458) .. controls (71.3385,141.2458) and
    (71.2372,141.2574) .. (71.1226,141.2804) .. controls (71.1543,140.9904) and
    (71.1706,140.2912) .. (71.1706,139.1831) -- (71.1706,138.3135) .. controls
    (71.0651,138.3135) and (70.9106,138.3185) .. (70.7084,138.3273) --
    (70.7084,138.0649) .. controls (70.8467,138.0749) and (70.9430,138.0790) ..
    (70.9981,138.0790) .. controls (71.0214,138.0790) and (71.0535,138.0770) ..
    (71.0948,138.0720) -- (71.1848,138.0720) .. controls (71.1888,137.4557) and
    (71.3160,136.9699) .. (71.5644,136.6160) .. controls (71.8032,136.2760) and
    (72.1207,136.1056) .. (72.5162,136.1056) .. controls (72.5765,136.1056) and
    (72.6220,136.1076) .. (72.6544,136.1126) -- cycle(77.2080,139.8821) ..
    controls (77.2080,140.3277) and (77.0584,140.6871) .. (76.7592,140.9605) ..
    controls (76.4604,141.2336) and (76.0632,141.3708) .. (75.5662,141.3708) ..
    controls (75.1058,141.3708) and (74.7191,141.2484) .. (74.4069,141.0043) ..
    controls (74.4894,140.7602) and (74.5399,140.5171) .. (74.5586,140.2726) ..
    controls (74.7745,140.8201) and (75.1541,141.0942) .. (75.6970,141.0942) ..
    controls (75.9916,141.0942) and (76.2294,141.0035) .. (76.4111,140.8215) ..
    controls (76.5927,140.6399) and (76.6841,140.3926) .. (76.6841,140.0804) ..
    controls (76.6841,139.8588) and (76.6259,139.6824) .. (76.5109,139.5487) ..
    controls (76.4096,139.4288) and (76.2350,139.3166) .. (75.9863,139.2104) --
    (75.4282,138.9762) .. controls (74.8161,138.7183) and (74.5103,138.3320) ..
    (74.5103,137.8169) .. controls (74.5103,137.4261) and (74.6443,137.1057) ..
    (74.9139,136.8581) .. controls (75.1827,136.6094) and (75.5337,136.4852) ..
    (75.9658,136.4852) .. controls (76.3296,136.4852) and (76.6792,136.5702) ..
    (77.0150,136.7403) .. controls (76.9459,136.8828) and (76.8813,137.0602) ..
    (76.8217,137.2719) .. controls (76.5779,136.9216) and (76.2597,136.7470) ..
    (75.8695,136.7470) .. controls (75.6162,136.7470) and (75.4152,136.8246) ..
    (75.2656,136.9784) .. controls (75.1164,137.1318) and (75.0412,137.3393) ..
    (75.0412,137.6017) .. controls (75.0412,137.9595) and (75.2737,138.2399) ..
    (75.7383,138.4421) -- (76.2975,138.6830) .. controls (76.6195,138.8209) and
    (76.8517,138.9815) .. (76.9942,139.1656) .. controls (77.1367,139.3490) and
    (77.2080,139.5882) .. (77.2080,139.8821) -- cycle(80.4370,138.2378) ..
    controls (80.3633,138.4078) and (80.3015,138.6058) .. (80.2510,138.8312) ..
    controls (80.0574,138.3987) and (79.7448,138.1824) .. (79.3127,138.1824) ..
    controls (78.9493,138.1824) and (78.6664,138.3105) .. (78.4639,138.5659) ..
    controls (78.2610,138.8206) and (78.1601,139.1829) .. (78.1601,139.6521) ..
    controls (78.1601,140.1026) and (78.2695,140.4582) .. (78.4882,140.7182) ..
    controls (78.7062,140.9782) and (78.9973,141.1080) .. (79.3610,141.1080) ..
    controls (79.7282,141.1080) and (80.0761,140.9422) .. (80.4027,140.6109) ..
    controls (80.3927,140.7401) and (80.3889,140.8247) .. (80.3889,140.8663) ..
    controls (80.3889,140.9309) and (80.3909,140.9775) .. (80.3959,141.0046) ..
    controls (80.1017,141.2343) and (79.7080,141.3497) .. (79.2162,141.3497) ..
    controls (78.7329,141.3497) and (78.3445,141.1955) .. (78.0503,140.8872) ..
    controls (77.7557,140.5788) and (77.6083,140.1696) .. (77.6083,139.6588) ..
    controls (77.6083,139.1437) and (77.7635,138.7320) .. (78.0743,138.4241) ..
    controls (78.3848,138.1157) and (78.7975,137.9619) .. (79.3129,137.9619) ..
    controls (79.7080,137.9619) and (80.0830,138.0533) .. (80.4372,138.2378) --
    cycle(81.6308,136.8235) .. controls (81.6308,136.9198) and (81.5962,137.0024)
    .. (81.5274,137.0719) .. controls (81.4586,137.1403) and (81.3753,137.1749) ..
    (81.2790,137.1749) .. controls (81.1823,137.1749) and (81.0991,137.1403) ..
    (81.0307,137.0719) .. controls (80.9619,137.0024) and (80.9270,136.9198) ..
    (80.9270,136.8235) .. controls (80.9270,136.7272) and (80.9619,136.6454) ..
    (81.0307,136.5780) .. controls (81.0991,136.5120) and (81.1824,136.4785) ..
    (81.2790,136.4785) .. controls (81.3753,136.4785) and (81.4586,136.5120) ..
    (81.5274,136.5780) .. controls (81.5962,136.6454) and (81.6308,136.7272) ..
    (81.6308,136.8235) -- cycle(81.5617,141.2805) .. controls (81.4604,141.2576)
    and (81.3662,141.2456) .. (81.2791,141.2456) .. controls (81.1958,141.2456)
    and (81.1016,141.2576) .. (80.9958,141.2805) .. controls (81.0187,140.6505)
    and (81.0307,140.0800) .. (81.0307,139.5692) .. controls (81.0307,139.1000)
    and (81.0187,138.5846) .. (80.9958,138.0237) .. controls (81.0829,138.0420)
    and (81.1778,138.0519) .. (81.2791,138.0519) .. controls (81.3895,138.0519)
    and (81.4833,138.0419) .. (81.5617,138.0237) .. controls (81.5384,138.5899)
    and (81.5275,139.1046) .. (81.5275,139.5692) .. controls (81.5275,140.0800)
    and (81.5384,140.6504) .. (81.5617,141.2805) -- cycle(85.2256,139.4591) --
    (85.2256,139.5346) .. controls (85.2206,139.5667) and (85.2186,139.5925) ..
    (85.2186,139.6108) -- (82.8444,139.6108) -- (82.8444,139.6313) .. controls
    (82.8444,140.5884) and (83.2311,141.0664) .. (84.0040,141.0664) .. controls
    (84.3998,141.0664) and (84.7540,140.9130) .. (85.0666,140.6039) .. controls
    (85.0576,140.7239) and (85.0528,140.8114) .. (85.0528,140.8660) --
    (85.0528,140.9492) .. controls (84.6936,141.2117) and (84.3031,141.3426) ..
    (83.8794,141.3426) .. controls (83.3965,141.3426) and (83.0045,141.1856) ..
    (82.7033,140.8734) .. controls (82.4020,140.5605) and (82.2514,140.1555) ..
    (82.2514,139.6584) .. controls (82.2514,139.1437) and (82.3960,138.7310) ..
    (82.6860,138.4205) .. controls (82.9760,138.1101) and (83.3594,137.9552) ..
    (83.8385,137.9552) .. controls (84.2802,137.9552) and (84.6217,138.0843) ..
    (84.8630,138.3447) .. controls (85.1046,138.6043) and (85.2253,138.9762) ..
    (85.2253,139.4591) -- cycle(84.6735,139.3695) -- (84.6735,139.2513) ..
    controls (84.6735,138.9091) and (84.5959,138.6414) .. (84.4424,138.4498) ..
    controls (84.2883,138.2579) and (84.0780,138.1616) .. (83.8110,138.1616) ..
    controls (83.5492,138.1616) and (83.3280,138.2685) .. (83.1484,138.4805) ..
    controls (82.9692,138.7077) and (82.8729,139.0037) .. (82.8588,139.3695) --
    cycle(88.6133,141.2805) .. controls (88.5075,141.2576) and (88.4129,141.2456)
    .. (88.3304,141.2456) .. controls (88.2475,141.2456) and (88.1533,141.2576) ..
    (88.0475,141.2805) .. controls (88.0750,140.7979) and (88.0891,140.1467) ..
    (88.0891,139.3275) .. controls (88.0891,138.6474) and (87.8266,138.3063) ..
    (87.3024,138.3063) .. controls (87.0311,138.3063) and (86.8166,138.4058) ..
    (86.6603,138.6033) .. controls (86.5040,138.8012) and (86.4261,139.1600) ..
    (86.4261,139.6793) -- (86.4261,139.9908) .. controls (86.4261,140.6159) and
    (86.4331,141.0456) .. (86.4465,141.2805) .. controls (86.3410,141.2576) and
    (86.2440,141.2456) .. (86.1565,141.2456) .. controls (86.0739,141.2456) and
    (85.9794,141.2576) .. (85.8736,141.2805) .. controls (85.8919,141.0226) and
    (85.9015,140.6226) .. (85.9015,140.0800) -- (85.9015,139.5904) .. controls
    (85.9015,138.8725) and (85.8915,138.3500) .. (85.8736,138.0237) .. controls
    (85.9614,138.0420) and (86.0560,138.0519) .. (86.1565,138.0519) .. controls
    (86.2627,138.0519) and (86.3523,138.0419) .. (86.4260,138.0237) .. controls
    (86.4160,138.1898) and (86.4122,138.3063) .. (86.4122,138.3757) .. controls
    (86.4122,138.4032) and (86.4142,138.4445) .. (86.4192,138.4996) --
    (86.4192,138.6244) .. controls (86.6810,138.1778) and (87.0422,137.9552) ..
    (87.5026,137.9552) .. controls (88.2381,137.9552) and (88.6064,138.3662) ..
    (88.6064,139.1892) .. controls (88.6064,139.3046) and (88.6044,139.4739) ..
    (88.5994,139.6972) .. controls (88.5944,139.9198) and (88.5924,140.0846) ..
    (88.5924,140.1901) .. controls (88.5924,140.5309) and (88.5994,140.8942) ..
    (88.6132,141.2805) -- cycle(92.0628,138.2378) .. controls (91.9894,138.4078)
    and (91.9277,138.6058) .. (91.8765,138.8312) .. controls (91.6839,138.3987)
    and (91.3706,138.1824) .. (90.9388,138.1824) .. controls (90.5751,138.1824)
    and (90.2922,138.3105) .. (90.0901,138.5659) .. controls (89.8876,138.8206)
    and (89.7863,139.1829) .. (89.7863,139.6521) .. controls (89.7863,140.1026)
    and (89.8957,140.4582) .. (90.1144,140.7182) .. controls (90.3324,140.9782)
    and (90.6231,141.1080) .. (90.9872,141.1080) .. controls (91.3551,141.1080)
    and (91.7019,140.9422) .. (92.0286,140.6109) .. controls (92.0196,140.7401)
    and (92.0148,140.8247) .. (92.0148,140.8663) .. controls (92.0148,140.9309)
    and (92.0168,140.9775) .. (92.0218,141.0046) .. controls (91.7272,141.2343)
    and (91.3346,141.3497) .. (90.8421,141.3497) .. controls (90.3591,141.3497)
    and (89.9711,141.1955) .. (89.6762,140.8872) .. controls (89.3819,140.5788)
    and (89.2341,140.1696) .. (89.2341,139.6588) .. controls (89.2341,139.1437)
    and (89.3897,138.7320) .. (89.7001,138.4241) .. controls (90.0109,138.1157)
    and (90.4237,137.9619) .. (90.9391,137.9619) .. controls (91.3346,137.9619)
    and (91.7089,138.0533) .. (92.0630,138.2378) -- cycle(95.2717,139.4591) --
    (95.2717,139.5346) .. controls (95.2667,139.5667) and (95.2657,139.5925) ..
    (95.2657,139.6108) -- (92.8915,139.6108) -- (92.8915,139.6313) .. controls
    (92.8915,140.5884) and (93.2778,141.0664) .. (94.0507,141.0664) .. controls
    (94.4465,141.0664) and (94.8003,140.9130) .. (95.1136,140.6039) .. controls
    (95.1036,140.7239) and (95.0998,140.8114) .. (95.0998,140.8661) --
    (95.0998,140.9493) .. controls (94.7403,141.2117) and (94.3498,141.3426) ..
    (93.9265,141.3426) .. controls (93.4435,141.3426) and (93.0512,141.1856) ..
    (92.7503,140.8734) .. controls (92.4483,140.5605) and (92.2980,140.1555) ..
    (92.2980,139.6584) .. controls (92.2980,139.1437) and (92.4430,138.7310) ..
    (92.7330,138.4205) .. controls (93.0227,138.1101) and (93.4065,137.9552) ..
    (93.8852,137.9552) .. controls (94.3265,137.9552) and (94.6680,138.0843) ..
    (94.9100,138.3447) .. controls (95.1510,138.6043) and (95.2720,138.9762) ..
    (95.2720,139.4591) -- cycle(94.7199,139.3695) -- (94.7199,139.2513) ..
    controls (94.7199,138.9092) and (94.6423,138.6414) .. (94.4885,138.4498) ..
    controls (94.3343,138.2579) and (94.1237,138.1616) .. (93.8570,138.1616) ..
    controls (93.5949,138.1616) and (93.3737,138.2685) .. (93.1949,138.4805) ..
    controls (93.0156,138.7077) and (92.9186,139.0037) .. (92.9049,139.3695) --
    cycle(100.3291,141.1697) .. controls (100.0811,141.2434) and
    (99.8923,141.2805) .. (99.7632,141.2805) .. controls (99.5519,141.2805) and
    (99.4253,141.1472) .. (99.3840,140.8801) .. controls (99.0898,141.1884) and
    (98.7469,141.3426) .. (98.3560,141.3426) .. controls (97.7206,141.3426) and
    (97.4035,141.0593) .. (97.4035,140.4935) .. controls (97.4035,140.0105) and
    (97.6698,139.7121) .. (98.2043,139.5967) .. controls (98.4565,139.5462) and
    (98.7119,139.4951) .. (98.9695,139.4450) .. controls (99.1861,139.3991) and
    (99.3311,139.3445) .. (99.4041,139.2799) -- (99.4041,139.1346) .. controls
    (99.4041,138.8262) and (99.3459,138.5987) .. (99.2288,138.4512) .. controls
    (99.1116,138.3038) and (98.9141,138.2304) .. (98.6386,138.2304) .. controls
    (98.2614,138.2304) and (97.9648,138.3941) .. (97.7485,138.7204) --
    (97.6928,138.7204) -- (97.7069,138.3553) .. controls (98.0149,138.0970) and
    (98.3860,137.9683) .. (98.8182,137.9683) .. controls (99.2048,137.9683) and
    (99.4828,138.0618) .. (99.6528,138.2477) .. controls (99.8229,138.4340) and
    (99.9082,138.7275) .. (99.9082,139.1275) -- (99.9082,139.2108) --
    (99.8807,140.5835) .. controls (99.8807,140.7401) and (99.8923,140.8459) ..
    (99.9153,140.9013) .. controls (99.9559,140.9930) and (100.0462,141.0386) ..
    (100.1842,141.0386) .. controls (100.2350,141.0386) and (100.2745,141.0366) ..
    (100.3016,141.0326) -- cycle(99.3910,140.4592) -- (99.3910,139.5692) ..
    controls (98.8481,139.6609) and (98.4865,139.7537) .. (98.3080,139.8454) ..
    controls (98.0822,139.9601) and (97.9697,140.1470) .. (97.9697,140.4042) ..
    controls (97.9697,140.8413) and (98.1740,141.0593) .. (98.5835,141.0593) ..
    controls (98.8411,141.0593) and (99.0714,140.9584) .. (99.2736,140.7563) ..
    controls (99.3516,140.6780) and (99.3910,140.5788) .. (99.3910,140.4592) --
    cycle(103.6064,141.2805) .. controls (103.5005,141.2576) and
    (103.4064,141.2456) .. (103.3235,141.2456) .. controls (103.2413,141.2456) and
    (103.1467,141.2576) .. (103.0412,141.2805) .. controls (103.0684,140.7979) and
    (103.0821,140.1467) .. (103.0821,139.3275) .. controls (103.0821,138.6474) and
    (102.8197,138.3063) .. (102.2954,138.3063) .. controls (102.0238,138.3063) and
    (101.8097,138.4058) .. (101.6537,138.6033) .. controls (101.4978,138.8012) and
    (101.4195,139.1600) .. (101.4195,139.6793) -- (101.4195,139.9908) .. controls
    (101.4195,140.6159) and (101.4255,141.0456) .. (101.4399,141.2805) .. controls
    (101.3341,141.2576) and (101.2370,141.2456) .. (101.1499,141.2456) .. controls
    (101.0673,141.2456) and (100.9725,141.2576) .. (100.8670,141.2805) .. controls
    (100.8853,141.0226) and (100.8949,140.6226) .. (100.8949,140.0800) --
    (100.8949,139.5904) .. controls (100.8949,138.8725) and (100.8849,138.3500) ..
    (100.8670,138.0237) .. controls (100.9545,138.0420) and (101.0490,138.0519) ..
    (101.1499,138.0519) .. controls (101.2561,138.0519) and (101.3457,138.0419) ..
    (101.4194,138.0237) .. controls (101.4094,138.1898) and (101.4056,138.3063) ..
    (101.4056,138.3758) .. controls (101.4056,138.4033) and (101.4076,138.4446) ..
    (101.4126,138.4996) -- (101.4126,138.6245) .. controls (101.6747,138.1778) and
    (102.0360,137.9552) .. (102.4957,137.9552) .. controls (103.2319,137.9552) and
    (103.5999,138.3662) .. (103.5999,139.1893) .. controls (103.5999,139.3046) and
    (103.5979,139.4739) .. (103.5929,139.6973) .. controls (103.5879,139.9199) and
    (103.5859,140.0846) .. (103.5859,140.1901) .. controls (103.5859,140.5309) and
    (103.5929,140.8942) .. (103.6063,141.2805) -- cycle(107.3670,141.2805) ..
    controls (107.2608,141.2576) and (107.1648,141.2456) .. (107.0774,141.2456) ..
    controls (106.9896,141.2456) and (106.8929,141.2576) .. (106.7877,141.2805) ..
    controls (106.7967,141.1059) and (106.8015,140.9697) .. (106.8015,140.8734) ..
    controls (106.8015,140.7581) and (106.7995,140.6713) .. (106.7945,140.6110) ..
    controls (106.5416,141.0985) and (106.1479,141.3426) .. (105.6148,141.3426) ..
    controls (105.2007,141.3426) and (104.8659,141.1948) .. (104.6108,140.8978) ..
    controls (104.3554,140.6011) and (104.2281,140.2042) .. (104.2281,139.7075) ..
    controls (104.2281,139.1829) and (104.3646,138.7606) .. (104.6391,138.4410) ..
    controls (104.9118,138.1210) and (105.2628,137.9619) .. (105.6903,137.9619) ..
    controls (106.1641,137.9619) and (106.5278,138.1732) .. (106.7808,138.5966) ..
    controls (106.7808,138.3662) and (106.7828,138.1136) .. (106.7878,137.8374) --
    (106.7878,137.3548) .. controls (106.7878,136.9216) and (106.7808,136.5053) ..
    (106.7663,136.1056) .. controls (106.8862,136.1373) and (106.9850,136.1543) ..
    (107.0633,136.1543) .. controls (107.1462,136.1543) and (107.2429,136.1374) ..
    (107.3529,136.1056) .. controls (107.3346,136.6535) and (107.3254,137.3915) ..
    (107.3254,138.3204) .. controls (107.3254,139.4108) and (107.3395,140.3972) ..
    (107.3670,141.2805) -- cycle(106.7941,139.5554) .. controls
    (106.7941,139.1275) and (106.7091,138.7987) .. (106.5394,138.5687) .. controls
    (106.3686,138.3391) and (106.1316,138.2237) .. (105.8282,138.2237) .. controls
    (105.5061,138.2237) and (105.2542,138.3500) .. (105.0729,138.6033) .. controls
    (104.8912,138.8569) and (104.8002,139.2178) .. (104.8002,139.6863) .. controls
    (104.8002,140.1329) and (104.8838,140.4769) .. (105.0521,140.7182) .. controls
    (105.2200,140.9598) and (105.4535,141.0805) .. (105.7523,141.0805) .. controls
    (106.0836,141.0805) and (106.3397,140.9503) .. (106.5221,140.6903) .. controls
    (106.7027,140.4310) and (106.7941,140.0525) .. (106.7941,139.5554) --
    cycle(113.0940,136.9749) .. controls (113.0802,136.9058) and
    (113.0732,136.8369) .. (113.0732,136.7678) .. controls (113.0732,136.6951) and
    (113.0802,136.6277) .. (113.0940,136.5674) .. controls (112.4540,136.5822) and
    (111.8427,136.5886) .. (111.2581,136.5886) .. controls (110.6838,136.5886) and
    (110.1338,136.5826) .. (109.6092,136.5674) .. controls (109.6192,136.6602) and
    (109.6233,136.7307) .. (109.6233,136.7819) .. controls (109.6233,136.8281) and
    (109.6183,136.8920) .. (109.6092,136.9749) .. controls (109.9080,136.9199) and
    (110.3314,136.8920) .. (110.8789,136.8920) -- (111.0655,136.8920) --
    (111.0655,138.0445) .. controls (111.0655,138.9367) and (111.0535,140.0155) ..
    (111.0306,141.2805) .. controls (111.1093,141.2715) and (111.2190,141.2667) ..
    (111.3619,141.2667) .. controls (111.5047,141.2667) and (111.6085,141.2717) ..
    (111.6723,141.2805) .. controls (111.6497,140.2225) and (111.6381,139.2746) ..
    (111.6381,138.4378) .. controls (111.6381,137.7887) and (111.6497,137.2740) ..
    (111.6723,136.8920) -- (111.8730,136.8920) .. controls (112.3786,136.8920) and
    (112.7857,136.9199) .. (113.0940,136.9749) -- cycle(115.5162,139.4591) --
    (115.5162,139.5346) .. controls (115.5102,139.5667) and (115.5092,139.5925) ..
    (115.5092,139.6108) -- (113.1360,139.6108) -- (113.1360,139.6313) .. controls
    (113.1360,140.5884) and (113.5220,141.0664) .. (114.2949,141.0664) .. controls
    (114.6907,141.0664) and (115.0442,140.9130) .. (115.3575,140.6039) .. controls
    (115.3485,140.7239) and (115.3434,140.8114) .. (115.3434,140.8661) --
    (115.3434,140.9493) .. controls (114.9850,141.2117) and (114.5937,141.3426) ..
    (114.1700,141.3426) .. controls (113.6874,141.3426) and (113.2951,141.1856) ..
    (112.9939,140.8734) .. controls (112.6922,140.5605) and (112.5423,140.1555) ..
    (112.5423,139.6584) .. controls (112.5423,139.1437) and (112.6869,138.7310) ..
    (112.9769,138.4205) .. controls (113.2666,138.1101) and (113.6511,137.9552) ..
    (114.1288,137.9552) .. controls (114.5708,137.9552) and (114.9126,138.0843) ..
    (115.1539,138.3447) .. controls (115.3956,138.6043) and (115.5166,138.9762) ..
    (115.5166,139.4591) -- cycle(114.9637,139.3695) -- (114.9637,139.2513) ..
    controls (114.9637,138.9092) and (114.8868,138.6414) .. (114.7323,138.4498) ..
    controls (114.5785,138.2579) and (114.3682,138.1616) .. (114.1012,138.1616) ..
    controls (113.8391,138.1616) and (113.6182,138.2685) .. (113.4386,138.4805) ..
    controls (113.2594,138.7077) and (113.1628,139.0037) .. (113.1487,139.3695) --
    cycle(118.7169,138.2378) .. controls (118.6439,138.4079) and
    (118.5814,138.6058) .. (118.5306,138.8312) .. controls (118.3380,138.3987) and
    (118.0251,138.1824) .. (117.5926,138.1824) .. controls (117.2289,138.1824) and
    (116.9463,138.3105) .. (116.7442,138.5659) .. controls (116.5410,138.8206) and
    (116.4404,139.1829) .. (116.4404,139.6521) .. controls (116.4404,140.1026) and
    (116.5494,140.4582) .. (116.7685,140.7182) .. controls (116.9865,140.9782) and
    (117.2772,141.1080) .. (117.6409,141.1080) .. controls (118.0085,141.1080) and
    (118.3564,140.9422) .. (118.6823,140.6109) .. controls (118.6733,140.7401) and
    (118.6685,140.8247) .. (118.6685,140.8664) .. controls (118.6685,140.9310) and
    (118.6705,140.9775) .. (118.6755,141.0046) .. controls (118.3810,141.2343) and
    (117.9876,141.3497) .. (117.4951,141.3497) .. controls (117.0122,141.3497) and
    (116.6238,141.1955) .. (116.3292,140.8872) .. controls (116.0350,140.5788) and
    (115.8875,140.1696) .. (115.8875,139.6588) .. controls (115.8875,139.1438) and
    (116.0428,138.7321) .. (116.3536,138.4241) .. controls (116.6644,138.1157) and
    (117.0771,137.9619) .. (117.5922,137.9619) .. controls (117.9876,137.9619) and
    (118.3626,138.0533) .. (118.7165,138.2378) -- cycle(121.9603,141.2805) ..
    controls (121.8587,141.2576) and (121.7653,141.2456) .. (121.6778,141.2456) ..
    controls (121.5949,141.2456) and (121.5007,141.2576) .. (121.3948,141.2805) ..
    controls (121.4170,140.4388) and (121.4290,139.8271) .. (121.4290,139.4450) ..
    controls (121.4290,139.0499) and (121.3690,138.7606) .. (121.2488,138.5790) ..
    controls (121.1281,138.3976) and (120.9260,138.3063) .. (120.6392,138.3063) ..
    controls (120.3023,138.3063) and (120.0550,138.4583) .. (119.8976,138.7617) ..
    controls (119.8055,138.9416) and (119.7590,139.3484) .. (119.7590,139.9830) --
    (119.7590,140.4734) .. controls (119.7590,140.6388) and (119.7660,140.9076) ..
    (119.7802,141.2805) .. controls (119.6754,141.2576) and (119.5802,141.2456) ..
    (119.4937,141.2456) .. controls (119.4118,141.2456) and (119.3209,141.2576) ..
    (119.2210,141.2805) .. controls (119.2436,140.2409) and (119.2552,139.3780) ..
    (119.2552,138.6933) .. controls (119.2552,137.8741) and (119.2436,137.0119) ..
    (119.2210,136.1056) .. controls (119.3572,136.1239) and (119.4525,136.1331) ..
    (119.5075,136.1331) .. controls (119.5759,136.1331) and (119.6687,136.1241) ..
    (119.7869,136.1056) .. controls (119.7686,136.6210) and (119.7590,137.1333) ..
    (119.7590,137.6441) .. controls (119.7590,137.8328) and (119.7640,138.1482) ..
    (119.7731,138.5899) .. controls (120.0539,138.1711) and (120.4120,137.9619) ..
    (120.8455,137.9619) .. controls (121.5843,137.9619) and (121.9536,138.3616) ..
    (121.9536,139.1624) .. controls (121.9536,139.2499) and (121.9506,139.4119) ..
    (121.9430,139.6489) .. controls (121.9360,139.8856) and (121.9324,140.0779) ..
    (121.9324,140.2247) .. controls (121.9324,140.3125) and (121.9424,140.6642) ..
    (121.9603,141.2805) -- cycle(125.5968,141.2805) .. controls
    (125.4913,141.2576) and (125.3968,141.2456) .. (125.3139,141.2456) .. controls
    (125.2310,141.2456) and (125.1361,141.2576) .. (125.0313,141.2805) .. controls
    (125.0581,140.7979) and (125.0722,140.1467) .. (125.0722,139.3275) .. controls
    (125.0722,138.6474) and (124.8097,138.3063) .. (124.2855,138.3063) .. controls
    (124.0142,138.3063) and (123.8001,138.4058) .. (123.6438,138.6033) .. controls
    (123.4875,138.8012) and (123.4095,139.1600) .. (123.4095,139.6793) --
    (123.4095,139.9908) .. controls (123.4095,140.6159) and (123.4155,141.0456) ..
    (123.4296,141.2805) .. controls (123.3238,141.2576) and (123.2275,141.2456) ..
    (123.1397,141.2456) .. controls (123.0575,141.2456) and (122.9626,141.2576) ..
    (122.8564,141.2805) .. controls (122.8755,141.0226) and (122.8850,140.6226) ..
    (122.8850,140.0800) -- (122.8850,139.5904) .. controls (122.8850,138.8725) and
    (122.8750,138.3500) .. (122.8564,138.0237) .. controls (122.9442,138.0420) and
    (123.0388,138.0519) .. (123.1397,138.0519) .. controls (123.2459,138.0519) and
    (123.3358,138.0419) .. (123.4095,138.0237) .. controls (123.4005,138.1898) and
    (123.3950,138.3063) .. (123.3950,138.3758) .. controls (123.3950,138.4033) and
    (123.3970,138.4446) .. (123.4020,138.4996) -- (123.4020,138.6245) .. controls
    (123.6642,138.1778) and (124.0247,137.9552) .. (124.4851,137.9552) .. controls
    (125.2210,137.9552) and (125.5893,138.3662) .. (125.5893,139.1893) .. controls
    (125.5893,139.3046) and (125.5873,139.4740) .. (125.5823,139.6973) .. controls
    (125.5773,139.9199) and (125.5753,140.0846) .. (125.5753,140.1901) .. controls
    (125.5753,140.5309) and (125.5823,140.8942) .. (125.5965,141.2805) --
    cycle(129.4950,139.6521) .. controls (129.4950,140.1580) and
    (129.3412,140.5665) .. (129.0321,140.8762) .. controls (128.7238,141.1870) and
    (128.3336,141.3426) .. (127.8599,141.3426) .. controls (127.3815,141.3426) and
    (126.9881,141.1860) .. (126.6833,140.8734) .. controls (126.3771,140.5605) and
    (126.2244,140.1534) .. (126.2244,139.6521) .. controls (126.2244,139.1557) and
    (126.3792,138.7493) .. (126.6904,138.4343) .. controls (127.0012,138.1189) and
    (127.3907,137.9619) .. (127.8599,137.9619) .. controls (128.3428,137.9619) and
    (128.7362,138.1182) .. (129.0395,138.4311) .. controls (129.3426,138.7437) and
    (129.4950,139.1508) .. (129.4950,139.6521) -- cycle(128.9013,139.6934) ..
    controls (128.9013,138.6771) and (128.5516,138.1683) .. (127.8531,138.1683) ..
    controls (127.1624,138.1683) and (126.8174,138.6608) .. (126.8174,139.6451) ..
    controls (126.8174,140.6388) and (127.1649,141.1359) .. (127.8599,141.1359) ..
    controls (128.5545,141.1359) and (128.9013,140.6547) .. (128.9013,139.6934) --
    cycle(130.7018,141.2806) .. controls (130.6013,141.2672) and
    (130.5029,141.2598) .. (130.4051,141.2598) .. controls (130.3137,141.2598) and
    (130.2217,141.2668) .. (130.1300,141.2806) .. controls (130.1477,140.9722) and
    (130.1575,140.3009) .. (130.1575,139.2658) -- (130.1575,137.4579) .. controls
    (130.1575,136.8094) and (130.1475,136.3586) .. (130.1300,136.1057) .. controls
    (130.2492,136.1147) and (130.3409,136.1195) .. (130.4051,136.1195) .. controls
    (130.4746,136.1195) and (130.5731,136.1155) .. (130.7018,136.1057) .. controls
    (130.6792,136.5286) and (130.6679,137.2367) .. (130.6679,138.2308) .. controls
    (130.6679,139.7622) and (130.6792,140.7789) .. (130.7018,141.2806) --
    cycle(134.6078,139.6521) .. controls (134.6078,140.1580) and
    (134.4533,140.5665) .. (134.1456,140.8763) .. controls (133.8366,141.1871) and
    (133.4457,141.3426) .. (132.9730,141.3426) .. controls (132.4943,141.3426) and
    (132.1020,141.1860) .. (131.7954,140.8734) .. controls (131.4896,140.5605) and
    (131.3372,140.1534) .. (131.3372,139.6521) .. controls (131.3372,139.1558) and
    (131.4921,138.7494) .. (131.8032,138.4343) .. controls (132.1133,138.1190) and
    (132.5031,137.9620) .. (132.9730,137.9620) .. controls (133.4549,137.9620) and
    (133.8493,138.1183) .. (134.1523,138.4312) .. controls (134.4554,138.7437) and
    (134.6078,139.1508) .. (134.6078,139.6521) -- cycle(134.0141,139.6934) ..
    controls (134.0141,138.6771) and (133.6652,138.1684) .. (132.9653,138.1684) ..
    controls (132.2756,138.1684) and (131.9302,138.6608) .. (131.9302,139.6451) ..
    controls (131.9302,140.6389) and (132.2773,141.1359) .. (132.9730,141.1359) ..
    controls (133.6673,141.1359) and (134.0141,140.6547) .. (134.0141,139.6934) --
    cycle(137.4441,142.0052) .. controls (137.4441,141.7057) and
    (137.3400,141.5060) .. (137.1330,141.4044) .. controls (136.9580,141.3219) and
    (136.6267,141.2806) .. (136.1395,141.2806) .. controls (136.0986,141.2806) and
    (136.0270,141.2856) .. (135.9251,141.2940) .. controls (135.5211,141.4227) and
    (135.3183,141.6919) .. (135.3183,142.1015) .. controls (135.3183,142.3594) and
    (135.4058,142.5689) .. (135.5815,142.7294) .. controls (135.7550,142.8903) and
    (135.9854,142.9711) .. (136.2704,142.9711) .. controls (136.6158,142.9711) and
    (136.8973,142.8804) .. (137.1153,142.6987) .. controls (137.3341,142.5171) and
    (137.4441,142.2856) .. (137.4441,142.0052) -- cycle(137.0430,139.0521) ..
    controls (137.0430,138.4446) and (136.8052,138.1412) .. (136.3290,138.1412) ..
    controls (136.0997,138.1412) and (135.9145,138.2248) .. (135.7727,138.3927) ..
    controls (135.6308,138.5610) and (135.5599,138.7804) .. (135.5599,139.0521) ..
    controls (135.5599,139.3414) and (135.6287,139.5661) .. (135.7660,139.7248) ..
    controls (135.9032,139.8836) and (136.0902,139.9626) .. (136.3290,139.9626) ..
    controls (136.8052,139.9626) and (137.0430,139.6589) .. (137.0430,139.0521) --
    cycle(140.9490,138.0237) .. controls (140.8107,138.2950) and
    (140.5923,138.7692) .. (140.2935,139.4451) -- (139.3685,141.5356) .. controls
    (139.0327,142.2948) and (138.8242,142.8374) .. (138.7406,143.1641) .. controls
    (138.6669,143.1503) and (138.5892,143.1433) .. (138.5063,143.1433) .. controls
    (138.4280,143.1433) and (138.3476,143.1503) .. (138.2647,143.1641) .. controls
    (138.4947,142.7781) and (138.7466,142.2648) .. (139.0239,141.6252) --
    (139.1819,141.2601) -- (138.8923,140.5006) .. controls (138.7582,140.1510) and
    (138.4125,139.3558) .. (137.8572,138.1162) -- (137.8572,138.2721) .. controls
    (137.7062,138.2587) and (137.5634,138.2517) .. (137.4297,138.2517) --
    (137.2914,138.2517) .. controls (137.4706,138.4912) and (137.5609,138.7533) ..
    (137.5609,139.0380) .. controls (137.5609,139.3827) and (137.4498,139.6533) ..
    (137.2265,139.8480) .. controls (137.0028,140.0442) and (136.6983,140.1419) ..
    (136.3117,140.1419) .. controls (136.2524,140.1419) and (136.1801,140.1379) ..
    (136.0944,140.1278) .. controls (136.0094,140.1198) and (135.9550,140.1148) ..
    (135.9321,140.1148) .. controls (135.7162,140.1148) and (135.6079,140.2227) ..
    (135.6079,140.4390) .. controls (135.6079,140.6916) and (135.7871,140.8178) ..
    (136.1466,140.8178) .. controls (136.1416,140.8178) and (136.1836,140.8168) ..
    (136.2704,140.8118) -- (136.5325,140.8118) .. controls (137.0204,140.8118) and
    (137.3676,140.8739) .. (137.5743,140.9978) .. controls (137.8047,141.1406) and
    (137.9193,141.3911) .. (137.9193,141.7502) .. controls (137.9193,142.1732) and
    (137.7584,142.5175) .. (137.4360,142.7818) .. controls (137.1139,143.0460) and
    (136.6885,143.1790) .. (136.1600,143.1790) .. controls (135.7741,143.1790) and
    (135.4689,143.0876) .. (135.2460,142.9059) .. controls (135.0226,142.7243) and
    (134.9112,142.4840) .. (134.9112,142.1849) .. controls (134.9112,141.7340) and
    (135.1669,141.4232) .. (135.6771,141.2535) .. controls (135.3278,141.1752) and
    (135.1525,140.9819) .. (135.1525,140.6739) .. controls (135.1525,140.4301) and
    (135.3349,140.2160) .. (135.6975,140.0322) .. controls (135.2378,139.8855) and
    (135.0085,139.5768) .. (135.0085,139.1072) .. controls (135.0085,138.7580) and
    (135.1306,138.4775) .. (135.3772,138.2655) .. controls (135.6224,138.0542) and
    (135.9579,137.9483) .. (136.3808,137.9483) .. controls (136.5054,137.9483) and
    (136.6564,137.9610) .. (136.8324,137.9860) .. controls (137.0095,138.0114) and
    (137.1284,138.0241) .. (137.1876,138.0241) .. controls (137.3076,138.0241) and
    (137.5309,138.0058) .. (137.8572,137.9687) -- (137.8572,138.0311) .. controls
    (137.9443,138.0449) and (138.0428,138.0519) .. (138.1536,138.0519) .. controls
    (138.2781,138.0519) and (138.3892,138.0419) .. (138.4855,138.0240) .. controls
    (138.6044,138.4428) and (138.8510,139.1103) .. (139.2239,140.0247) --
    (139.4655,140.6184) -- (139.7132,140.0458) .. controls (140.0631,139.2362) and
    (140.3207,138.5624) .. (140.4858,138.0240) .. controls (140.5549,138.0423) and
    (140.6336,138.0519) .. (140.7207,138.0519) .. controls (140.8036,138.0519) and
    (140.8802,138.0419) .. (140.9490,138.0240) -- cycle(73.7793,129.1883) ..
    controls (73.4851,130.0537) and (72.9605,131.6242) .. (72.2063,133.9014) ..
    controls (72.1326,133.8827) and (72.0521,133.8735) .. (71.9650,133.8735) ..
    controls (71.8683,133.8735) and (71.7851,133.8851) .. (71.7166,133.9077) ..
    controls (71.3755,132.7354) and (70.9529,131.4471) .. (70.4470,130.0445) --
    (69.1562,133.9014) .. controls (69.0641,133.8785) and (68.9840,133.8665) ..
    (68.9145,133.8665) .. controls (68.8461,133.8665) and (68.7653,133.8785) ..
    (68.6736,133.9014) .. controls (68.3194,132.7287) and (67.8273,131.1575) ..
    (67.1969,129.1883) .. controls (67.2932,129.2070) and (67.4036,129.2165) ..
    (67.5281,129.2165) .. controls (67.6523,129.2165) and (67.7627,129.2075) ..
    (67.8594,129.1883) .. controls (68.2365,130.5828) and (68.6341,131.9346) ..
    (69.0528,133.2459) .. controls (69.5315,131.9346) and (69.9637,130.5828) ..
    (70.3503,129.1883) .. controls (70.4191,129.2070) and (70.4925,129.2165) ..
    (70.5708,129.2165) .. controls (70.6537,129.2165) and (70.7299,129.2075) ..
    (70.7987,129.1883) .. controls (71.2034,130.5133) and (71.6450,131.8429) ..
    (72.1234,133.1768) .. controls (72.5788,131.8701) and (72.9792,130.5408) ..
    (73.3239,129.1883) .. controls (73.3930,129.2070) and (73.4668,129.2165) ..
    (73.5447,129.2165) .. controls (73.6318,129.2165) and (73.7105,129.2075) ..
    (73.7793,129.1883) -- (73.7793,129.1883);
\end{scope}
\end{tikzpicture}
}

\def\dotfill#1{\cleaders\hbox to #1{.}\hfill}
\newcommand\dotline[2][.5em]{\leavevmode\hbox to #2{\dotfill{#1}\hfil}}
   
\def\dlugoscmaxa{450}  
\def\dlugoscmaxb{500}
\def\dlugoscmaxc{150}
\def\dlugoscmaxd{29}
\def\dlugoscmaxe{32}
\def\dlugoscmaxf{36} 
\def\dlugoscmaxg{80}
  
\newcommand{\stronatytulowapl}{
\tikzset{wydzial/.style={font=\bfseries}}
\tikzset{nazwa/.style={font=\rmfamily}}
\tikzset{tytul/.style={font=\scshape}}
\thispagestyle{empty}
\afterpage{
\newgeometry{left=4.8cm, right=3cm, top=3cm, bottom=3cm}
\begin{center}
\begin{tikzpicture}[remember picture,overlay]
\node[inner sep=0pt] at (-4.28,-.05){\logopl};
\draw[white, fill=gray!25] (-8.77, -1) -- (-8.77,-23.5) -- (-6.84,-23.5) -- (-6.84,-1);
\draw[-, col1,line width=.33mm] (-6.855,-.9885) -- (6.65,-.9885);
\end{tikzpicture}
\end{center}
\hspace{1cm}
\vspace{-1.7ex}
\begin{flushleft}
\textbf{Wydział Matematyki} 

\vspace{0.15ex}
Kierunek studiów: \@kierunekstudiow

Specjalność: \@specjalnosc\\
\text{}
\end{flushleft}
\begin{minipage}[t][0.46\textheight]{\textwidth}
\begin{center}
\large Praca dyplomowa --  \@rodzajpracy \\
\vspace{.6cm plus .5fill}
\StrLen{\@tytul}[\tytuldlugosc]
\ifthenelse{\tytuldlugosc > \dlugoscmaxg}{
	\large
    \textbf{\MakeUppercase{\@tytul}}\\
}{
	\Large\textbf{\MakeUppercase{\@tytul}}\\
}
\vspace{0.6cm plus .2fill}
\large \@autor
\end{center}
\vspace{0.1cm plus .2fill}
\begin{flushright}
\small
słowa kluczowe:\\
\vspace{0.5ex}
\begin{minipage}{7cm}
\StrLen{\@slowakluczowe}[\slowakluczowedlugosc]
\ifthenelse{\slowakluczowedlugosc > \dlugoscmaxc}{
	\footnotesize 
    \@slowakluczowe
}{
	\@slowakluczowe
}
\end{minipage}
\end{flushright}
\vspace{0.07cm plus 0.2fill}
\begin{flushleft}
\small krótkie streszczenie:\\[.8ex]
\StrLen{\@streszczenie}[\streszczeniedlugosc]
\ifthenelse{\streszczeniedlugosc > \dlugoscmaxb}{
	\parbox{\textwidth}{
    	\KOMAoptions{fontsize=9pt}
    	\large\@streszczenie
	}
}{
	\ifthenelse{\streszczeniedlugosc > \dlugoscmaxa}{
		\parbox{\textwidth}{
		\@streszczenie
		}
	}{
		\parbox{\textwidth}{
		\footnotesize
		\@streszczenie
		}
	}
}
\end{flushleft}
\end{minipage}

\vspace{\fill}
\begin{flushleft}
\begin{minipage}[b][0.33\textheight]{\textwidth}
\begin{tabular}{|P{2.35cm}|P{6cm}|C{1.15cm}|C{1.9cm}|}
\hline
\multirow{2}{2.35cm}{\footnotesize Opiekun pracy dyplomowej} 
&  
\StrLen{\@opiekun}[\opiekundlugosc]
\ifthenelse{\opiekundlugosc > \dlugoscmaxf}{
	\KOMAoptions{fontsize=10pt}
    \addstackgap[6pt]{\normalsize\@opiekun}
}{
	\ifthenelse{\opiekundlugosc > \dlugoscmaxe}{
		\footnotesize
    	\addstackgap[6pt]{\@opiekun}
	}{
		\ifthenelse{\opiekundlugosc > \dlugoscmaxd}{
			\small
        	\addstackgap[6pt]{\@opiekun}
		}{
			\addstackgap[6pt]{\@opiekun}
		}
	}
}
&   
\vspace{-2pt}
\dotline[3pt]{31pt}
&
\vspace{-2pt}
\dotline[3pt]{51pt}
\\ \cline{2-4} 
&  \scriptsize Tytuł/stopień naukowy/imię i nazwisko
&  \footnotesize ocena             
&  \footnotesize podpis                    
\\ \hline
\end{tabular}

\vspace{-0.8ex}
\emph{
\footnotesize
\begin{flushleft}
Do celów archiwalnych pracę dyplomową zakwalifikowano do:*
\vspace{-1ex}
\begin{enumerate}
	\itemsep0em 
    \item[a)] kategorii A (akta wieczyste)
    \item[b)] kategorii BE 50 (po 50 latach podlegające ekspertyzie)
\end{enumerate}
\vspace{-1ex}
* niepotrzebne skreślić
\end{flushleft}
}
\begin{flushright}
\boxed{~~~\textrm{pieczątka wydziałowa}~~~}
\end{flushright}
\vspace{0cm}
\begin{center}
\large Wrocław, rok \the\year
\end{center}
\end{minipage}
\end{flushleft}
\clearpage
\restoregeometry
}
}

\newcommand{\stronatytulowaang}{
\tikzset{wydzial/.style={font=\bfseries}}
\tikzset{nazwa/.style={font=\rmfamily}}
\tikzset{tytul/.style={font=\scshape}}
\thispagestyle{empty}
\afterpage{
\newgeometry{left=4.8cm, right=3cm, top=3cm, bottom=3cm}
\begin{center}
\begin{tikzpicture}[remember picture,overlay]
\node[inner sep=0pt] at (-4.28,-.05){\logoang};
\draw[white, fill=gray!25] (-8.77, -1) -- (-8.77,-23.5) -- (-6.84,-23.5) -- (-6.84,-1);
\draw[-, col1,line width=.33mm] (-6.855,-.9885) -- (6.65,-.9885);
\end{tikzpicture}
\end{center}
\hspace{1cm}
\vspace{-1.7ex}
\begin{flushleft}
\textbf{Faculty of Pure and Applied Mathematics} 

\vspace{0.15ex}
Field of study: \@kierunekstudiowang

Specialty: \@specjalnoscang
\text{}
\end{flushleft}
\begin{minipage}[t][0.46\textheight]{\textwidth}
\begin{center}
\text{}

\large \@rodzajpracyang \\
\vspace{.6cm plus .5fill}
\StrLen{\@tytulang}[\tytulangdlugosc]
\ifthenelse{\tytulangdlugosc > \dlugoscmaxg}{
	\large
    \textbf{\MakeUppercase{\@tytulang}}\\
}{
	\Large\textbf{\MakeUppercase{\@tytulang}}\\
}
\vspace{0.6cm plus .2fill}
\large \@autor
\end{center}
\vspace{0.1cm plus .2fill}
\begin{flushright}
\small
keywords:\\
\vspace{1ex}
\begin{minipage}{7cm}
\StrLen{\@slowakluczoweang}[\slowakluczoweangdlugosc]
\ifthenelse{\slowakluczoweangdlugosc > \dlugoscmaxc}{
	\footnotesize 
    \@slowakluczoweang
}{
	\@slowakluczoweang
}
\end{minipage}
\end{flushright}
\vspace{0.07cm plus 0.2fill}
\begin{flushleft}
\small short summary:\\[.8ex]
\StrLen{\@streszczenieang}[\streszczenieangdlugosc]
\ifthenelse{\streszczenieangdlugosc > \dlugoscmaxb}{
	\parbox{\textwidth}{
    	\KOMAoptions{fontsize=9pt}
    	\large\@streszczenieang
	}
}{
	\ifthenelse{\streszczenieangdlugosc > \dlugoscmaxa}{
		\parbox{\textwidth}{
		\@streszczenieang
		}
	}{
		\parbox{\textwidth}{
		\footnotesize
		\@streszczenieang
		}
	}
}
\end{flushleft}
\end{minipage}

\vspace{\fill}
\begin{flushleft}
\begin{minipage}[b][0.33\textheight]{\textwidth}
\begin{tabular}{|P{2cm}|P{6.1cm}|C{1.35cm}|C{1.9cm}|}
\hline
\multirow{2}{2cm}{\footnotesize Supervisor} 
& 
\StrLen{\@opiekun}[\opiekundlugosc]
\ifthenelse{\opiekundlugosc > \dlugoscmaxf}{
	\KOMAoptions{fontsize=10pt}
    \addstackgap[6pt]{\normalsize\@opiekun}
}{
	\ifthenelse{\opiekundlugosc > \dlugoscmaxe}{
		\footnotesize
    	\addstackgap[6pt]{\@opiekun}
	}{
		\ifthenelse{\opiekundlugosc > \dlugoscmaxd}{
			\small
        	\addstackgap[6pt]{\@opiekun}
		}{
			\addstackgap[6pt]{\@opiekun}
		}
	}
}
&
\vspace{-2pt}
\dotline[3pt]{38pt}
& 
\vspace{-2pt}
\dotline[3pt]{51pt}
\\ \cline{2-4} 
&  \scriptsize Title/degree/name and surname
&  \footnotesize grade            
&  \footnotesize signature                    
\\ \hline
\end{tabular}

\vspace{-0.8ex}
\emph{
\footnotesize
\begin{flushleft}
For the purposes of archival thesis qualified to:*
\vspace{-1ex}
\begin{enumerate}
	\itemsep0em 
    \item[a)] category A (perpetual files)
    \item[b)] category BE 50 (subject to expertise after 50 years)
\end{enumerate}
\vspace{-1ex}
* delete as appropriate 
\end{flushleft}
}
\begin{flushright}
\boxed{~~~\textrm{stamp of the faculty}~~~}
\end{flushright}
\vspace{0cm}
\begin{center}
\large Wrocław, \the\year
\end{center}
\end{minipage}
\end{flushleft}
\clearpage
\restoregeometry
}
}

\newif\if@english
\newif\if@magisterska
\newif\if@licencjacka
\newif\if@inzynierska

\DeclareOption{english}{\@englishtrue}
\DeclareOption{polski}{\@englishfalse}
\DeclareOption{magisterska}{\@magisterskatrue}
\DeclareOption{licencjacka}{\@licencjackatrue}
\DeclareOption{inzynierska}{\@inzynierskatrue}

\ExecuteOptions{polski}
\ExecuteOptions{magisterska}
\ProcessOptions\relax

\if@english
	\RequirePackage[main=english, polish]{babel}
	\renewcommand{\maketitle}{
		\pagenumbering{gobble}
        \stronatytulowaang
		\cleardoublepage
	}
\else
	\RequirePackage[main=polish,english]{babel}
	\AtBeginDocument{
  		\renewcommand\tablename{Tabela}
	}    
    \renewcommand{\maketitle}{
		\pagenumbering{gobble}
        \stronatytulowapl
		\cleardoublepage
        \stronatytulowaang
		\cleardoublepage
	}
\fi

\if@magisterska
	\rodzajpracy{magisterska}
	\rodzajpracyang{Master's Thesis}
	\fi
\if@licencjacka
	\rodzajpracy{licencjacka}
	\rodzajpracyang{Bachelor's Thesis}
	\fi
\if@inzynierska
	\rodzajpracy{inżynierska}
	\rodzajpracyang{Engineering Thesis}
\fi

\RequirePackage{fancyhdr}
\renewcommand{\chaptermark}[1]{\markboth{#1}{}}
\renewcommand{\sectionmark}[1]{\markright{#1}}
\pagestyle{fancy}
\fancyhf{}
\fancyhead[LE,RO]{\thepage}
\fancyhead[LO]{\itshape\nouppercase{\rightmark}}
\fancyhead[RE]{{\leftmark}}
\renewcommand{\headrulewidth}{0pt}

\newcommand{\bibliografia}[1]{
	\phantomsection
	\if@english
		\addcontentsline{toc}{chapter}{Bibliography}
	\else
		\addcontentsline{toc}{chapter}{Bibliografia}
	\fi
	\bibliographystyle{bibliografia_styl}
	\bibliography{#1}
}